Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 274512 - dev-lang/php-5.3 version bump request
Summary: dev-lang/php-5.3 version bump request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: x86 Linux
: High enhancement with 10 votes (vote)
Assignee: PHP Bugs
URL:
Whiteboard:
Keywords:
Depends on: 134171 206970 211536 279099 298205 299964 301159
Blocks: 300695
  Show dependency tree
 
Reported: 2009-06-17 14:22 UTC by Dan
Modified: 2010-06-15 19:53 UTC (History)
62 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
PHP 5.3 eclass (php5_3-sapi.eclass,26.75 KB, text/plain)
2009-08-04 03:47 UTC, Frankiz DANIEL
Details
PHP 5.3 ebuild (php-5.3.0.ebuild,16.44 KB, text/plain)
2009-08-04 03:48 UTC, Frankiz DANIEL
Details
PHP 5.3 patchset (php-patchset-5.3.0-r0.tar.bz2,7.30 KB, application/octet-stream)
2009-08-04 03:50 UTC, Frankiz DANIEL
Details
PHP 5.3 eclass (php5_3-sapi.eclass,26.83 KB, text/plain)
2009-08-04 06:36 UTC, Frankiz DANIEL
Details
PHP 5.3 ebuild (php-5.3.0.ebuild,16.34 KB, text/plain)
2009-08-04 06:38 UTC, Frankiz DANIEL
Details
PHP 5.3 eclass (php5_3-sapi.eclass,26.83 KB, text/plain)
2009-08-06 20:51 UTC, Frankiz DANIEL
Details
Newer eclass (php5_3-sapi.eclass,26.84 KB, text/plain)
2009-11-20 18:55 UTC, Frankiz DANIEL
Details
PHP 5.3.1 (php-5.3.1.ebuild,16.34 KB, text/plain)
2009-11-20 18:57 UTC, Frankiz DANIEL
Details
Patch for Christian Hoffmann repository (r93) (php-5.3.1.patch,7.63 KB, patch)
2010-02-25 14:03 UTC, Vladimir Tsisaruk
Details | Diff
php-5.3.2 build.log (build.log,653.91 KB, text/plain)
2010-03-18 13:07 UTC, Steffen 'j0inty' Stollfuß
Details
ebuild that really works for PHP 5.3.2 (php-5.3.2.ebuild,16.61 KB, text/plain)
2010-03-19 10:20 UTC, Alexander Petrenas
Details
This goes to eclass folder in the portage (php5_3-sapi.eclass,27.28 KB, text/plain)
2010-03-19 10:21 UTC, Alexander Petrenas
Details
For new ebuilds see http://github.com/GiDiS/gentoo-php-rewrite (empty.txt,183 bytes, text/plain)
2010-03-22 07:36 UTC, Vladimir Tsisaruk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan 2009-06-17 14:22:39 UTC
please add php 5.3 version to portage tree
Comment 1 Christian Hoffmann (RETIRED) gentoo-dev 2009-06-21 23:00:38 UTC
There is not even a final release yet, and as I'm closely watching cvs and internals, I think I know fairly good what's happening.

So yes, of course we will add it, but it needs time to test things, clean up things etc.
It's probably rather easy to get a simple ebuild for it working, but it's far from easy to implement lots of outstanding Gentoo-specific changes which can only be implemented in the 5.2 -> 5.3 move in a sane way, and getting rid of some obsolete stuff is also planned.
Also, this release is highly likely to break software (although not necessarily intended), so it's going to live in p.mask for some time, I guess.
Comment 2 Raphael Dehousse 2009-06-30 14:47:10 UTC
Now it's released :)
Comment 3 Rodrigo Saboya 2009-06-30 23:04:41 UTC
I don't think the Gentoo dev team should babysit admins who don't know how to do things (regarding masking because it might break stuff).

Anyway, there are a few ebuilds in the php-overlay, if anyone wants to check it out:
http://projects.usrportage.de/index.fcgi/php-overlay/browser/dev-lang/php
Comment 4 Markus Ullmann (RETIRED) gentoo-dev 2009-07-03 21:53:37 UTC
Released now
Comment 5 Milos Ivanovic 2009-07-06 05:33:22 UTC
PHP 5.3.0 Released!
[30-Jun-2009]

The PHP development team is proud to announce the immediate release of PHP 5.3.0. This release is a major improvement in the 5.X series, which includes a large number of new features and bug fixes.

Some of the key new features include: namespaces, late static binding, closures, optional garbage collection for cyclic references, new extensions (like ext/phar, ext/intl and ext/fileinfo), over 140 bug fixes and much more.

For users upgrading from PHP 5.2 there is a migration guide available here, detailing the changes between those releases and PHP 5.3.0.

Further details about the PHP 5.3.0 release can be found in the release announcement, and the full list of changes are available in the ChangeLog.

-------------

Please add to ~arch.
Comment 6 Robin Bankhead 2009-07-10 14:01:22 UTC
Guys, there still isn't an ebuild for this even in the php-testing or php-experimental overlays. I'd be happy to have a stab at porting the previous ebuild, but I'd appreciate an indication of whether there are problems that rule out a simple cut-n-paste job (which is the extent of my abilities in this sphere). I strongly assume this is the case given the silence at present.
Comment 7 Robin J. Rogge 2009-07-12 11:30:43 UTC
Is anyone working on this??
Comment 8 Robin Bankhead 2009-07-12 16:04:43 UTC
(In reply to comment #3)
> I don't think the Gentoo dev team should babysit admins who don't know how to
> do things (regarding masking because it might break stuff).
> Anyway, there are a few ebuilds in the php-overlay, if anyone wants to check it
> out:
> http://projects.usrportage.de/index.fcgi/php-overlay/browser/dev-lang/php

Sorry, I didn't pay attention before my previous post: I did not realise this was a different overlay from those in the official layman repo list.

I see in this repo, however, that the latest ebuild is php-5.3.0_p200812090130.ebuild.  Am I right in assuming that the p-version refers to the age of the snapshot?  If so, any chance of an ebuild for the release version?
Comment 9 Christian Hoffmann (RETIRED) gentoo-dev 2009-07-13 11:50:06 UTC
Yes, sure. But I can either spend time on continously replying to "when is it ready???" requests or on actually being productive.
As stated multiple times on other media already: This is not just a copy-it-and-it-works bump, it's a bump with will come with several visible and invisible changes which can not be integrated in the stable 5.2 series.

No, no e.t.a.
Comment 10 Robin Bankhead 2009-07-14 02:34:49 UTC
I don't think anyone is under the impression that it's a trivial bump, but you have to have expected some level of user interest in its disposition now a final release has been made (the premature opening of this bug notwithstanding). While nobody wants to take you away from the productive stuff, whatever other media you may have briefed on the subject you haven't said anything here since the release, and this is AFAIK the place users and prospective testers should look for release information, e.g. at least a roadmap for adding it to one of the official overlays.

No offense intended by the above, just feel obliged to rationalise my previous posts here. If my analysis is flawed, correction is welcomed.
Comment 11 Keloran 2009-07-30 13:07:01 UTC
Is there any status on how long till 5.3 is avalible, the only reason im really asking is, 5.2.10-r1 has a bug with PPC that means it reports date(Y) as 0000

and has been fixed in both 5.2.10-r2 and in 5.3, but neither of these is avalible in the repos
Comment 12 He Zhitong 2009-07-31 15:32:43 UTC
(In reply to comment #11)
> Is there any status on how long till 5.3 is avalible, the only reason im really
> asking is, 5.2.10-r1 has a bug with PPC that means it reports date(Y) as 0000
> 
> and has been fixed in both 5.2.10-r2 and in 5.3, but neither of these is
> avalible in the repos
> 

I found an ebuild here
http://svn.bltweb.net/viewvc/public/gentoo_overlay/dev-lang/php/?sortby=date
Comment 13 Rodrigo Saboya 2009-08-03 14:57:57 UTC
(In reply to comment #11)
> Is there any status on how long till 5.3 is avalible, the only reason im really
> asking is, 5.2.10-r1 has a bug with PPC that means it reports date(Y) as 0000
> 
> and has been fixed in both 5.2.10-r2 and in 5.3, but neither of these is
> avalible in the repos
> 

I suggest you stick to 5.2.9 for now, I've been having some problems with .10 and I'm not the only one.
Comment 14 Frankiz DANIEL 2009-08-04 00:18:31 UTC
Hello, i have been playing around ebuilds to try and implement my own php-5.3.0 ebuild i'v been unlucky so far, which lead me to add some votes to this bug, this would be so nice to have a real legit ebuild for php 5.3, instead of trying to dirty hack a 5.2 ebuild :) Christian we (the gentoo php users) have faith in you you've done a great job please make our php experience even better :)
Comment 15 Frankiz DANIEL 2009-08-04 03:47:12 UTC
Created attachment 200100 [details]
PHP 5.3 eclass

This is an eclass file for php 5.3 changes are as folowing:
intl, enchant, and phar uses appeared
dbase, sybase, sybase-ct, fdftk, fbsql, msql, ncurses disapeared (mostly because configure wouldn't understand those options anymore which led me to thing they moved to pecl or disapeared for good)

Dependencies are handled for the intl and enchant uses
Comment 16 Frankiz DANIEL 2009-08-04 03:48:21 UTC
Created attachment 200101 [details]
PHP 5.3 ebuild

PHP 5.3 ebuild this is quite simple
Comment 17 Frankiz DANIEL 2009-08-04 03:50:07 UTC
Created attachment 200102 [details]
PHP 5.3 patchset

All patches are 5.2, minus those not working anymore, and there is a new patch to fix bug #48872
Comment 18 Frankiz DANIEL 2009-08-04 06:36:46 UTC
Created attachment 200113 [details]
PHP 5.3 eclass

Fixes my previous eclass, should be a lot better with this one
Comment 19 Frankiz DANIEL 2009-08-04 06:38:34 UTC
Created attachment 200114 [details]
PHP 5.3 ebuild

Fixes previous ebuild
Comment 20 He Zhitong 2009-08-04 08:35:57 UTC
(In reply to comment #19)
> Created an attachment (id=200114) [edit]
> PHP 5.3 ebuild
> 
> Fixes previous ebuild
> 

emerge with suhobin USE flag failed.

Comment 21 Frankiz DANIEL 2009-08-04 09:10:05 UTC
(In reply to comment #20)
> (In reply to comment #19)
> > Created an attachment (id=200114) [edit]
> > PHP 5.3 ebuild
> > 
> > Fixes previous ebuild
> > 
> 
> emerge with suhobin USE flag failed.
> 

There is no suhosin release for php 5.3 yet, so either wait or compile without suhosin :)
Comment 22 Kfir Ozer 2009-08-04 09:42:10 UTC
Thank you guys!! ebuild works like a charm on ~amd64.
Comment 23 He Zhitong 2009-08-05 18:59:46 UTC
(In reply to comment #21)
> (In reply to comment #20)
> > (In reply to comment #19)
> > > Created an attachment (id=200114) [edit]
> > > PHP 5.3 ebuild
> > > 
> > > Fixes previous ebuild
> > > 
> > 
> > emerge with suhobin USE flag failed.
> > 
> 
> There is no suhosin release for php 5.3 yet, so either wait or compile without
> suhosin :)
> 

bug 220519 appear again.

Comment 24 Frankiz DANIEL 2009-08-05 20:45:51 UTC
(In reply to comment #23)
> (In reply to comment #21)
> > (In reply to comment #20)
> > > (In reply to comment #19)
> > > > Created an attachment (id=200114) [edit]
> > > > PHP 5.3 ebuild
> > > > 
> > > > Fixes previous ebuild
> > > > 
> > > 
> > > emerge with suhobin USE flag failed.
> > > 
> > 
> > There is no suhosin release for php 5.3 yet, so either wait or compile without
> > suhosin :)
> > 
> 
> bug 220519 appear again.
> 

please let's not spam this bug page, my ebuild is in now way an official one even though i'm all willing to help out people having problems with it id rather do it by mail and eventually fix the ebuild after that, so please send me a mail with the uses /packages you tried to install.
Comment 25 Frankiz DANIEL 2009-08-06 20:51:56 UTC
Created attachment 200428 [details]
PHP 5.3 eclass

Fix a bug with intl dependency to ICU, some pecl libs don't compile yet, some do i'v tested yaz and geoip so far both are working fine, mcve doesn't, iv had problems compiling with sharedmem use on my kvm virtual machine i'm not so sure why but since it's the exact same machine as my main, i guess it has to do with the fact that this is a virtual machine. Still no suhosin patch please report by mail if you succeeded or not.
Comment 26 Steffen 'j0inty' Stollfuß 2009-08-07 08:08:55 UTC
Hi,

I tried out the phar use flag which doesn't work.

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE "/var/log/sandbox/sandbox-26517.log"

VERSION 1.0
FORMAT: F - Function called
FORMAT: S - Access Status
FORMAT: P - Path as passed to function
FORMAT: A - Absolute Path (not canonical)
FORMAT: R - Canonical Path
FORMAT: C - Command Line

F: unlink
S: deny
P: /session_mm_cli0.sem
A: /session_mm_cli0.sem
R: /session_mm_cli0.sem
C: /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/sapi/cli/php -n -d extension_dir=/var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/modules -d extension=bz2.so -d extension=zlib.so -d open_basedir= -d output_buffering=0 -d memory_limit=-1 -d phar.readonly=0 -d safe_mode=0 /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/ext/phar/build_precommand.php

F: open_wr
S: deny
P: /session_mm_cli0.sem
A: /session_mm_cli0.sem
R: /session_mm_cli0.sem
C: /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/sapi/cli/php -n -d extension_dir=/var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/modules -d extension=bz2.so -d extension=zlib.so -d open_basedir= -d output_buffering=0 -d memory_limit=-1 -d phar.readonly=0 -d safe_mode=0 /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/ext/phar/build_precommand.php

F: unlink
S: deny
P: /session_mm_cli0.sem
A: /session_mm_cli0.sem
R: /session_mm_cli0.sem
C: /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/sapi/cli/php -n -d extension_dir=/var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/modules -d extension=bz2.so -d extension=zlib.so -d open_basedir= -d output_buffering=0 -d memory_limit=-1 -d phar.readonly=0 -d safe_mode=0 /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/ext/phar/build_precommand.php

F: unlink
S: deny
P: /session_mm_cli0.sem
A: /session_mm_cli0.sem
R: /session_mm_cli0.sem
C: /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/sapi/cli/php -n -d extension_dir=/var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/modules -d extension=bz2.so -d extension=zlib.so -d open_basedir= -d output_buffering=0 -d memory_limit=-1 -d phar.readonly=0 -d safe_mode=0 ext/phar/phar.php pack -f ext/phar/phar.phar -a pharcommand -c auto -x CVS -p 0 -s /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/ext/phar/phar/phar.php -h sha1 -b /usr/lib/php5/bin/php /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/ext/phar/phar/

F: open_wr
S: deny
P: /session_mm_cli0.sem
A: /session_mm_cli0.sem
R: /session_mm_cli0.sem
C: /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/sapi/cli/php -n -d extension_dir=/var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/modules -d extension=bz2.so -d extension=zlib.so -d open_basedir= -d output_buffering=0 -d memory_limit=-1 -d phar.readonly=0 -d safe_mode=0 ext/phar/phar.php pack -f ext/phar/phar.phar -a pharcommand -c auto -x CVS -p 0 -s /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/ext/phar/phar/phar.php -h sha1 -b /usr/lib/php5/bin/php /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/ext/phar/phar/

F: unlink
S: deny
P: /session_mm_cli0.sem
A: /session_mm_cli0.sem
R: /session_mm_cli0.sem
C: /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/sapi/cli/php -n -d extension_dir=/var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/modules -d extension=bz2.so -d extension=zlib.so -d open_basedir= -d output_buffering=0 -d memory_limit=-1 -d phar.readonly=0 -d safe_mode=0 ext/phar/phar.php pack -f ext/phar/phar.phar -a pharcommand -c auto -x CVS -p 0 -s /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/ext/phar/phar/phar.php -h sha1 -b /usr/lib/php5/bin/php /var/tmp/portage/dev-lang/php-5.3.0/work/php-5.3.0/ext/phar/phar/

F: unlink
S: deny
P: /session_mm_cli0.sem
A: /session_mm_cli0.sem
R: /session_mm_cli0.sem
C: /usr/lib/php5/bin/php -C -q -d include_path=/usr/share/php -d output_buffering=1 -d variables_order=EGPCS -d open_basedir= -d safe_mode=0 -d register_argc_argv=On -d auto_prepend_file= -d auto_append_file= /usr/share/php/pearcmd.php -q info PHP_Archive

F: open_wr
S: deny
P: /session_mm_cli0.sem
A: /session_mm_cli0.sem
R: /session_mm_cli0.sem
C: /usr/lib/php5/bin/php -C -q -d include_path=/usr/share/php -d output_buffering=1 -d variables_order=EGPCS -d open_basedir= -d safe_mode=0 -d register_argc_argv=On -d auto_prepend_file= -d auto_append_file= /usr/share/php/pearcmd.php -q info PHP_Archive

F: unlink
S: deny
P: /session_mm_cli0.sem
A: /session_mm_cli0.sem
R: /session_mm_cli0.sem
C: /usr/lib/php5/bin/php -C -q -d include_path=/usr/share/php -d output_buffering=1 -d variables_order=EGPCS -d open_basedir= -d safe_mode=0 -d register_argc_argv=On -d auto_prepend_file= -d auto_append_file= /usr/share/php/pearcmd.php -q info PHP_Archive
--------------------------------------------------------------------------------

The complete build log can you find under this link here.

http://www.stollfuss.net/~j0inty/dev-lang-php-5.3.0-20090807-070316.log

regards
j0inty
Comment 27 Frankiz DANIEL 2009-08-07 08:12:24 UTC
That's the exact problems i had on my virtual machine, try disabling the sharedmem use and it will most likely work again, phar shouldn't be responsible for that, i'm still waiting to have some news from the official maintainer i bet he knows that kind of stuff better than i do.
Comment 28 Robin Bankhead 2009-08-09 10:43:25 UTC
Seems to be working well here with the following USEs (though modules not all tested):

[ebuild   R   ] dev-lang/php-5.3.0  USE="apache2 berkdb bzip2 calendar cli crypt ctype curl curlwrappers discard-path exif filter force-cgi-redirect ftp gd gdbm hash iconv imap json kerberos ldap mysql mysqli nls pcre pdo posix readline reflection session snmp soap spl sqlite ssl threads tidy tokenizer truetype unicode xml xmlreader xmlrpc xmlwriter xsl zip zlib -adabas -bcmath -birdstep -cdb -cgi -cjk -concurrentmodphp -db2 -dbmaker -debug -doc -empress -empress-bcs -enchant -esoob -fastbuild -firebird -flatfile -frontbase -gd-external -gmp -inifile -interbase -intl -iodbc -ipv6 (-java-external) -kolab -ldap-sasl -libedit -mcve -mhash -mssql -oci8 -oci8-instant-client -odbc -pcntl -phar -pic -postgres -qdbm -recode -sapdb -sharedext -sharedmem -simplexml -sockets -solid -spell -suhosin -sybase-ct -sysvipc -wddx -xpm -yaz"
Comment 29 Frankiz DANIEL 2009-08-14 13:09:06 UTC
Suhosin just issued a beta patch for php 5.3, also php 5.3.1 should go out by the end of the month, i'll watch this closely and upgrade my ebuilds when suhosin patch will become stable enough, and also provide an ebuild for php 5.3.1 when it comes out, still no news from the official maintainer this is troubling :(
Comment 30 Mehmet Ceyran 2009-08-21 23:35:35 UTC
What I think is that someone else should take over the maintenance, as there have been no news from Christian for more than a month. The release has many changes and is very important, and should reach the official portage tree as soon as possible. It cannot be true that you are better off with a Windows server because new software is available for it much faster than for Linux, although there is such a large community around the latter...
Comment 31 Mehmet Ceyran 2009-08-21 23:43:23 UTC
Sorry, didn't want to spam but I forgot to give credits to Frankiz for his work on the new release. In my opinion he should take over the PHP maintenance on Gentoo.
Comment 32 Dan 2009-08-29 20:13:54 UTC
Perhaps this information will be useful for creating a new ebuild PHP version 5.3.
(I apologize for my English ... )

The main problem is that the new version of PHP contains a fairly large innovations. Accordingly, backward compatibility is problematic. Many existing applications based on a branch <=5.2 will not work correctly. It will take an informal code refactoring in almost all cases.

This means that the branch is 5.3 for those who are ready for it. Assuming that users are ready for such a migration, then build PHP 5.3 on Gentoo or other Linux distributions is trivial... As described in PHP readme just ./configure && make --install
In a difficult situation will be those who want to joint installation as PHP <5.3, and PHP 5.3. They must choice: 5.3 or 5.2. But migration to 5.3 is worth it. Everyone knows about the new PHP. It is more effective solutions, security, stability and so on.
If you refuse to work shared versions at least for the moment, we will very soon be able to work with version 5.3 in Gentoo. This looks reasonable. Who is not ready for such upgrade- remains on a branch 5.2 ...
It is striking that once Gentoo was the leader for the latest packages. Perhaps now it is, but in relation to the PHP is not so. You have to understand that many users love and choose to Gentoo just for reasons of freshness and natural stability. It is no secret that these users in Gentoo majority. I think that among them there are many developers of Web applications. Surprising is the fact that the platform is Windows, in part allows you to work with recent versions of PHP. We're aware that this is nonsense ... At the moment, according to distrowatch.com PHP 5.3 is included in Debian and Mandriva and planned in Fedore Core.

What to do. We need to determine the critical for the PHP packets/libraries/extensions required in 5.3 and do not conflict with Gentoo in general.

Maybe my opinion is wrong, but the most important for 5.3:
apache2, mod_php
apc, memcache
phar
sqlite, mysql, postgresql, oci8 (oracle instant client)
json, yaml, xml, zlib, phpunit, cachegrind

List of flags (extensions) are actively used by me:
bz2
ctype
curl
date
dba
dom
gd
gettext
hash
huffman
iconv
ldap
libxml
mbstring
mcrypt
ncurses
openssl
pcntl
pcre
PDO
PDO_OCI
pdo_pgsql
pdo_sqlite
python
rar
readline
Reflection
session
SPL
standard
syck
tidy
tokenizer
vld
xdebug

Feature of version 5.3 is expressed in the same way that sqlite there seems to be finally enabled version 3. 
Often referred to patch: suhosin
not universally popular and is probably relevant for hosting and server administrators. 

But in the new branch 5.3, many security improvements.
Let us now understand what prevents us to include 5.3 in the work. 

Probably, this is all wrong, but Gentoo and PHP 5.3 is very cool systems.



Comment 33 Frankiz DANIEL 2009-08-30 03:07:57 UTC
Well dan, as i see it, no php 5.3 is not much of a threat for php developers cautious about their codes, the only risk is about 5+ years code, unmaintained and generally messy (not that it's so rare anyway), also you should try my ebuild, i'm using it on almost 10 different machines and i'v seen some people having success about it, it is not an "official version" but php 5.3 is not a stable version either, it has bugs around streams and soap for example that are allready corrected in the svn and the suhosin patch is not ready either yet, but my ebuild work to test out the new features and prepare the code.

Also, do we really care being on the distribution that has it first? i personally don't, if people on ubuntu and debian, and rmp based can live with having weird and inapropriate binaries on their server, managed by package systems that have little to no clue about what should be installed as a dependency or not, well i know i can't, gentoo and freebsd are just a lot better in my opinion.

Finally i had a mail from the official maintainer, he is actively working on it, he just don't want to communicate for no reasons before he can issue a real new ebuild.

Comment 34 Rodrigo Saboya 2009-09-03 21:11:52 UTC
While I do miss an official ebuild, PHP 5.3.0 is nowhere near production quality and for that reason it's not a big problem that we don't have an official ebuild by now.

The unnofficial ebuild from Frankiz should be enough for anyone developing PHP 5.3 applications. By the time the 5.3 branch reaches production quality (which I hope it to be 5.3.1), Christian will probably have an ebuild ready.
Comment 35 Dan 2009-09-06 16:14:14 UTC
(In reply to comment #33)
you should try my
> ebuild, i'm using it on almost 10 different machines and i'v seen some people
> having success 

Just finished my own tests of this ebuild. Adaptation of my servers was pretty straightforward than expected. Most applications operate without any deviation. Frankiz Thank you for the excellent realization. Ebuild looks pretty stable. I think this is what you need. Most of the questions in my previous letter was withdrawn. But how about enabling some new flags: for example sqlite3. (Dont mix with sqlite this is version <3)

As regards the stability of the release of PHP 5.3 you can say that is expected soon 5.3.1.

> 
> Finally i had a mail from the official maintainer, he is actively working on
> it, he just don't want to communicate for no reasons before he can issue a real
> new ebuild.

To contact the developers of the most advanced community is here: http://news.php.net/ (Services Newsgroup) 
 
Comment 36 Radu Benea 2009-10-25 01:50:25 UTC
is anyone still working on this?
Comment 37 Frankiz DANIEL 2009-10-25 12:03:59 UTC
well i'm watching closely, the status of php, incase there is still no package by the 5.3.1 i'll release something here, but as the above it won't be official.
Comment 38 Mehmet Ceyran 2009-10-26 09:57:43 UTC
It's been TWO MONTHS, people, don't tell me this ain't enough time. There's a WORKING ebuild here which STILL isn't in the official tree. Gentoo has a calling, and it depends on the maintainers being quick and reliable. I strongly believe that Daniel would do a FAR better job.
Comment 39 Joakim 2009-10-26 11:03:22 UTC
(In reply to comment #38)
> It's been TWO MONTHS, people, don't tell me this ain't enough time. There's a
> WORKING ebuild here which STILL isn't in the official tree. Gentoo has a
> calling, and it depends on the maintainers being quick and reliable. I strongly
> believe that Daniel would do a FAR better job.
> 
uuh uhh, calm down... as I can see it, thi isn't about time but rather that 5.3 doesn't measure up to the standard of production quality. Gentoo has a calling yes but unfortunately far from all its users are up to the task when that calling is demanded of them. Putting 5.3 in the tree now would probably cause more cries out there then not to and if you really needed it the ebuild is here - you just have to put it in your overlay... and if you cannot manage that then you may be extra lucky it hasn't done it into the tree yet.

I would say due to the "production quality" issues and the fact lots of code out there still would break on 5.3 it might could be in the tree hard masked, not more but using the overlay is almost smoother. I think, what many doesn't realize is that the step from 5.2 to 5.3 is bigger then it actually should have been.

Just my 2 cents on this and btw 5.3.1RC2 has just been released, it would be good to have a confirmation here that the present ebuild is updated for it or when it happens.
Comment 40 Frankiz DANIEL 2009-10-26 17:12:52 UTC
(In reply to comment #39)
> (In reply to comment #38)
> > It's been TWO MONTHS, people, don't tell me this ain't enough time. There's a
> > WORKING ebuild here which STILL isn't in the official tree. Gentoo has a
> > calling, and it depends on the maintainers being quick and reliable. I strongly
> > believe that Daniel would do a FAR better job.
> > 
> uuh uhh, calm down... as I can see it, thi isn't about time but rather that 5.3
> doesn't measure up to the standard of production quality. Gentoo has a calling
> yes but unfortunately far from all its users are up to the task when that
> calling is demanded of them. Putting 5.3 in the tree now would probably cause
> more cries out there then not to and if you really needed it the ebuild is here
> - you just have to put it in your overlay... and if you cannot manage that then
> you may be extra lucky it hasn't done it into the tree yet.
> 
> I would say due to the "production quality" issues and the fact lots of code
> out there still would break on 5.3 it might could be in the tree hard masked,
> not more but using the overlay is almost smoother. I think, what many doesn't
> realize is that the step from 5.2 to 5.3 is bigger then it actually should have
> been.
> 
> Just my 2 cents on this and btw 5.3.1RC2 has just been released, it would be
> good to have a confirmation here that the present ebuild is updated for it or
> when it happens.
> 

PHP 5.3 would have nothing to do in the stable portage, but this is a package you may expect to see in the ~arch portage, gentoo users are often developpers i can see that at work where 3 out of 4 developpers are under gentoo even tho each one of them was using it before they get in the company. I certainly understand the concerns about PHP 5.3 not being stable but still since it's a major version (should i remember everyone that 5.3 is in fact php 6?) and since the features in it need some time to process for developpers, i guess that's a concern it didn't made it yet to the ~arch portage whatever is the stability of php 5.3...

But anyway let's just close the discussion, it's no use to troll over the reasons, it will make into the portage when it will make into the portage.
Comment 41 Kfir Ozer 2009-11-12 12:05:45 UTC
any tests or something i can do to make this ebuild stable ? 
i've been using it for several months and it's not in ~arch yet. 
Comment 42 Mehmet Ceyran 2009-11-17 10:33:57 UTC
(In reply to comment #40)
> (In reply to comment #39)
> > (In reply to comment #38)
> > > It's been TWO MONTHS, people, don't tell me this ain't enough time. There's a
> > > WORKING ebuild here which STILL isn't in the official tree. Gentoo has a
> > > calling, and it depends on the maintainers being quick and reliable. I strongly
> > > believe that Daniel would do a FAR better job.
> > > 
> > uuh uhh, calm down... as I can see it, thi isn't about time but rather that 5.3
> > doesn't measure up to the standard of production quality. Gentoo has a calling
> > yes but unfortunately far from all its users are up to the task when that
> > calling is demanded of them. Putting 5.3 in the tree now would probably cause
> > more cries out there then not to and if you really needed it the ebuild is here
> > - you just have to put it in your overlay... and if you cannot manage that then
> > you may be extra lucky it hasn't done it into the tree yet.
> > 
> > I would say due to the "production quality" issues and the fact lots of code
> > out there still would break on 5.3 it might could be in the tree hard masked,
> > not more but using the overlay is almost smoother. I think, what many doesn't
> > realize is that the step from 5.2 to 5.3 is bigger then it actually should have
> > been.
> > 
> > Just my 2 cents on this and btw 5.3.1RC2 has just been released, it would be
> > good to have a confirmation here that the present ebuild is updated for it or
> > when it happens.
> > 
> 
> PHP 5.3 would have nothing to do in the stable portage, but this is a package
> you may expect to see in the ~arch portage, gentoo users are often developpers
> i can see that at work where 3 out of 4 developpers are under gentoo even tho
> each one of them was using it before they get in the company. I certainly
> understand the concerns about PHP 5.3 not being stable but still since it's a
> major version (should i remember everyone that 5.3 is in fact php 6?) and since
> the features in it need some time to process for developpers, i guess that's a
> concern it didn't made it yet to the ~arch portage whatever is the stability of
> php 5.3...
> 
> But anyway let's just close the discussion, it's no use to troll over the
> reasons, it will make into the portage when it will make into the portage.
> 

Well, this is no trolling, think of it as "quality control". It just can't be for a major distribution like Gentoo which is known for its most updated packages that such an important package (PHP 5.3.0 was released June 30, 2009) takes more than FOUR AND A HALF months to make it even in the ~arch or -arch (which I agree it should go to) tree. Am I wrong? It is not about overlays or such, it is not that I cannot do these things. It is about people not making their jobs right and dragging the whole distribution down. I feel like this is actualy Debian in this case.
Comment 43 Joakim 2009-11-17 10:46:59 UTC
You may have a point but this is deffinately the wrong place for that discussion, that's what the forum is there for. And don't forget nobody is getting paid here but actually "pay" with their free time to contribute and it's all free so try to have some perspective. Enough said I think.
Comment 44 Allen Brooker (AllenJB) 2009-11-20 09:34:54 UTC
With 5.3.1 now released, what's the current status of getting php-5.3 into portage?

Is it actively being worked on? Is it waiting / blocked on anything?

Is there anything anyone can do to help?
Comment 45 Frankiz DANIEL 2009-11-20 18:55:27 UTC
Created attachment 210735 [details]
Newer eclass

Here is a new eclass the only things that changed are the url used to download patchset and suhosin (they are now on a server i rent)
Comment 46 Frankiz DANIEL 2009-11-20 18:57:01 UTC
Created attachment 210736 [details]
PHP 5.3.1

Here is the php 5.3.1 ebuild
Comment 47 Steffen 'j0inty' Stollfuß 2009-11-20 22:13:44 UTC
Hi,

I had tested now the php-5.3.1.ebuild with suhosin patch and the current one doesn't work and failed while patch the source with suhosin. The problem is that the ebuild use the 5.3.0-0.9.8 suhosin patch but for 5.3.1 is another patch available.

To fix this problem simply change the SUHOSIN_PATCH variable to "suhosin-patch-5.3.1RC1-0.9.8.patch.gz".

[snip]
arko ~ # php -v
PHP 5.3.1-pl0-gentoo with Suhosin-Patch (cli) (built: Nov 20 2009 22:58:35)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2009 Zend Technologies
    with Xdebug v2.0.5, Copyright (c) 2002-2008, by Derick Rethans
    with Suhosin v0.9.29, Copyright (c) 2007, by SektionEins GmbH
[/snap]

regards
j0inty

PS: The phar support still not work !
Comment 48 Frankiz DANIEL 2009-11-20 22:42:29 UTC
(In reply to comment #47)
> Hi,
> 
> I had tested now the php-5.3.1.ebuild with suhosin patch and the current one
> doesn't work and failed while patch the source with suhosin. The problem is
> that the ebuild use the 5.3.0-0.9.8 suhosin patch but for 5.3.1 is another
> patch available.
> 
> To fix this problem simply change the SUHOSIN_PATCH variable to
> "suhosin-patch-5.3.1RC1-0.9.8.patch.gz".
> 
> [snip]
> arko ~ # php -v
> PHP 5.3.1-pl0-gentoo with Suhosin-Patch (cli) (built: Nov 20 2009 22:58:35)
> Copyright (c) 1997-2009 The PHP Group
> Zend Engine v2.3.0, Copyright (c) 1998-2009 Zend Technologies
>     with Xdebug v2.0.5, Copyright (c) 2002-2008, by Derick Rethans
>     with Suhosin v0.9.29, Copyright (c) 2007, by SektionEins GmbH
> [/snap]
> 
> regards
> j0inty
> 
> PS: The phar support still not work !
> 

For suhosin i'm not using it, and i'm not testing this use flag either, so i'll trust you with the change and commit that right away, we should expect a newer suhosin version soonish tho, the changes between 5.3 and 5.3.1 are mostly bugfixes so that should speedup releases.

On phar subject, that's one of the main reason i'm doing these ebuilds, and i use it on a day basis sucessfully so you surprize me a lot here, i would suggest you try to get the suhosin flag out and try to work with phar, maybe suhosin is a bit too restrictive.
Comment 49 Hanno Boeck gentoo-dev 2009-11-21 09:41:20 UTC
Frankiz, your 5.3.1 ebuild uses the suhosin 5.3.0 patch and that fails. There's a 5.3.1-rc-patch on the suhosin webpage, that works:
suhosin-patch-5.3.1RC1-0.9.8.patch.gz

Also, I'm working on a slottable php 5.3 ebuild based on your one, a bit hacky but "worksforme". If people are interested, will appear within the next hours on:
https://svn.schokokeks.org/repos/overlay/trunk/dev-lang/php/
Comment 50 Christian Kaps 2009-11-21 17:52:53 UTC
Hi,

the 5.3.1 ebuild works for Me but Steffen how do you get Xdebug installed. Do you compile it from source? Because when I try to install it over pear it fails with a libtool error message. And the xdebug ebuild is for < php5.3.

libtool: Version mismatch error.  This is libtool 2.2.6, but the definition of this LT_INIT comes from an older release.
Comment 51 Ole Markus With (RETIRED) gentoo-dev 2009-11-22 01:59:21 UTC

(In reply to comment #50)

Xdebug works for me. I simply renamed xdebug-2.0.3.ebuild to xdebug-2.0.5.ebuild
Comment 52 Christian Kaps 2009-11-22 09:14:21 UTC
(In reply to comment #51)

I know that is not the right place for discussions about xdebug but shall I create a new bug report? I think it make no sense before a official php 5.3 ebuild exists.

Ole, after your suggestion I can compile xdebug but the module will never be loaded.

phpinfo()
Additional .ini files parsed 	/etc/php/apache2-php5/ext-active/xdebug.ini 

shlomo ~ # cat /etc/php/apache2-php5/ext-active/xdebug.ini
zend_extension_debug=/usr/lib64/php5/lib/php/extensions/debug-non-zts-20090626/xdebug.so
xdebug.auto_trace="0"
xdebug.trace_output_dir="/tmp"
xdebug.trace_output_name="trace.%c"
xdebug.trace_format="0"
xdebug.trace_options="0"
xdebug.collect_includes="1"
xdebug.collect_params="0"
xdebug.collect_return="0"
xdebug.collect_vars="0"
xdebug.default_enable="1"
xdebug.extended_info="1"
xdebug.manual_url="http://www.php.net"
xdebug.max_nesting_level="100"
xdebug.show_exception_trace="1"
xdebug.show_local_vars="0"
xdebug.show_mem_delta="0"
xdebug.dump.COOKIE="NULL"
xdebug.dump.ENV="NULL"
xdebug.dump.FILES="NULL"
xdebug.dump.GET="NULL"
xdebug.dump.POST="NULL"
xdebug.dump.REQUEST="NULL"
xdebug.dump.SERVER="NULL"
xdebug.dump.SESSION="NULL"
xdebug.dump_globals="1"
xdebug.dump_once="1"
xdebug.dump_undefined="0"
xdebug.profiler_enable="0"
xdebug.profiler_output_dir="/tmp"
xdebug.profiler_output_name="cachegrind.out.%p"
xdebug.profiler_enable_trigger="0"
xdebug.profiler_append="0"
xdebug.profiler_aggregate="0"
xdebug.remote_enable="0"
xdebug.remote_handler="dbgp"
xdebug.remote_host="localhost"
xdebug.remote_mode="req"
xdebug.remote_port="9000"
xdebug.remote_autostart="0"
xdebug.remote_log=""
xdebug.idekey=""
xdebug.var_display_max_data="512"
xdebug.var_display_max_depth="2"
xdebug.var_display_max_children="128"

The module exists in /usr/lib64/php5/lib/php/extensions/debug-non-zts-20090626. The apache starts without any error.

Any suggestions?
Comment 53 Ole Markus With (RETIRED) gentoo-dev 2009-11-22 09:38:53 UTC
That was all I did. 

This program makes use of the Zend Scripting Language Engine:
Zend Engine v2.3.0, Copyright (c) 1998-2009 Zend Technologies
    with Xdebug v2.0.5, Copyright (c) 2002-2008, by Derick Rethans

Loaded fine for me. 
There are no errors in the apache log files either?

If you compile the cli SAPI, you can try php -m | grep xdebug
The php cli command should also give warnings if it cannot load an extention for some reason.


But one other thing: Why create another slot for 5.3? The BC break is rather limited. I have used quite a few pear packages and they all seem to work, although some of them give out E_STRICT, but you can always disable that (or fix those issues).
Comment 54 Raphael Dehousse 2009-11-22 09:51:34 UTC
Hello,

There is already a bug for xdebug-2.0.5 : http://bugs.gentoo.org/show_bug.cgi?id=256080 but it's blocked from a long time now :)

Cheers,

Raph
Comment 55 Christian Kaps 2009-11-22 20:22:13 UTC
From the xdebug page http://xdebug.org/docs/install

Note: In case you compiled PHP yourself and used --enable-debug you would have to use zend_extension_debug=. From PHP 5.3 onwards, you always need to use zend_extension and not zend_extension_ts.

The xdebug ebuild use for php5.3 zend_extension_debug and not zend_extension.
Comment 56 Hans Rakers 2009-11-26 12:49:47 UTC
Can we leave all the OT crap in http://forums.gentoo.org/viewtopic-t-779357.html and focus on the task at hand? I would love to see a ebuild in portage or at least in the php overlay.

+ CC
Comment 57 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-11-29 10:36:28 UTC
(In reply to comment #56)

Maybe you should start with leaving the OT crap. Noone needs "+1" posts.
Comment 58 Hans Rakers 2009-11-29 15:44:54 UTC
(In reply to comment #57)
> (In reply to comment #56)
> 
> Maybe you should start with leaving the OT crap. Noone needs "+1" posts.
> 

Heh, nice and grown up response. I'm just trying to keep the discussion out of this ticket by pointing to a relevant forum topic. Maybe *you* should start committing this ebuild to portage instead of dissing people, kthx.
Comment 59 Allen Brooker (AllenJB) 2009-11-29 15:57:47 UTC
Committing the posted ebuild as is would be a mistake. It still has a number of issues:
* Half the patches don't even apply
* Phar support has sandbox issues
* pecl-mcve needs an update before it will compile against 5.3.1
* The suhosin patch needs to be updated to the latest version (which is still only an RC)

You make the PHP 5.3.1 update sound like a simple ebuild bump, but it is far from this.
Comment 60 Ole Markus With (RETIRED) gentoo-dev 2009-11-29 16:14:56 UTC
(In reply to comment #59)

Thanks for the list of issues. I have been missing something like this.

Could it be an idea to release an ebuild in one of the overlays and then report individual issues with the overlay? 
It would make it easier for those who want to help out with testing and such, I think.

Comment 61 Frankiz DANIEL 2009-11-29 19:14:45 UTC
(In reply to comment #59)
> Committing the posted ebuild as is would be a mistake. It still has a number of
> issues:
> * Half the patches don't even apply
> * Phar support has sandbox issues
> * pecl-mcve needs an update before it will compile against 5.3.1
> * The suhosin patch needs to be updated to the latest version (which is still
> only an RC)
> 
> You make the PHP 5.3.1 update sound like a simple ebuild bump, but it is far
> from this.
> 

patches don't apply? phar having sandbox issues? i don't have these problems so you may want to question what you are doing wrong or add a little more input to prove your point, pecl packages need an update then provide an update it's completely unrelated to this topic, and suhosin is intended for php in a secure production environment, having php 5.3.* in a production environment today is just foolish, seriously people what's wrong with you? i'd expect gentoo people to be a little more mature than the usual lifeless troll one can meet on videogames forums. So if you don't have anything worth reading to write, just don't.
Comment 62 Allen Brooker (AllenJB) 2009-11-29 19:38:39 UTC
Foolish or not, if this package is put into portage today, I can gaurantee it will be running in production environments by tomorrow.

The list of issues comes from my own testing of the attached PHP package.

I fully intend to look at providing an updated pecl-mcve package and look at the sandbox issues that enabling phar support triggered when I've completed some of my other work on the php package. Unfortunately I don't have infinite time to spend on the project, so it's slow going for me.

As a side note, considering the pecl-mcve package is pulled in by a use flag on your posted ebuild, it's hardly unrelated to this package.

As far as being "the usual lifeless troll" goes, I believe that the posts I've made on this bug so far have been useful and informative. Instead of your uninformative, wall-of-text ranting, why don't you post coherent requests for information, or information on the tests that you've run.

The set of use flags I'm using for testing is:
USE="(-adabas) apache2 bcmath berkdb (-birdstep) bzip2 calendar cdb cgi cjk cli crypt ctype curl curlwrappers -db2 (-dbmaker) debug discard-path doc (-empress) (-empress-bcs) enchant (-esoob) exif fastbuild filter (-firebird) flatfile force-cgi-redirect (-frontbase) ftp -gd gd-external gdbm gmp hash iconv imap inifile -interbase intl iodbc ipv6 (-java-external) json kerberos ldap ldap-sasl -libedit -mcve mhash mssql mysql mysqli nls -oci8 -oci8-instant-client odbc pcntl pcre pdo -phar pic posix postgres -qdbm readline -recode reflection -sapdb session -sharedext -sharedmem simplexml snmp soap sockets (-solid) spell spl sqlite ssl -suhosin (-sybase-ct) sysvipc threads tidy tokenizer truetype unicode wddx xml xmlreader xmlrpc xmlwriter -xpm xsl yaz zip zlib"

Reasons for these choices (ie. notes I've made as to why I've disabled various use flags in my current setup):
# Flag conflicts:
# qdbm conflicts with gdbm
# gd conflicts with gd-external
# realine conflicts with libedit
# recode conflicts with: mysql imap yaz
# sharedmem conflicts with threads
# Software not in portage: db2 interbase sapdb
# PECL Modules requiring updates: mcve
# Use flag xpm requires gd

For the record I'm currently testing on an amd64 setup, which is completely stable bar php, sandbox and portage 2.2.

It is perfectly possible that the sandbox issues with phar don't occur in stable sandbox, but since many people are already using portage 2.2, they definitely need to be looked at.
Comment 63 Frankiz DANIEL 2009-11-29 20:11:08 UTC
(In reply to comment #62)
> Foolish or not, if this package is put into portage today, I can gaurantee it
> will be running in production environments by tomorrow.

Well then you have your reason, it's not in portage because it has nothing to do in portage except for ~arch but well... you know that ~arch is not intended for production don't you?

> 
> The list of issues comes from my own testing of the attached PHP package.

And i'll show you what you do wrong.

> 
> I fully intend to look at providing an updated pecl-mcve package and look at
> the sandbox issues that enabling phar support triggered when I've completed
> some of my other work on the php package. Unfortunately I don't have infinite
> time to spend on the project, so it's slow going for me.

There is no phar error there is a sandbox error, put an ~arch on sandbox and it will go away.

> 
> As a side note, considering the pecl-mcve package is pulled in by a use flag on
> your posted ebuild, it's hardly unrelated to this package.

It is since php is a dependency of pecl-mcve and not the opposite, there is nothing wrong withe mcve use flag in my ebuild, just the pecl-mcve package being out-of-date, so yes it's unrelated to this topic.

> 
> As far as being "the usual lifeless troll" goes, I believe that the posts I've
> made on this bug so far have been useful and informative. Instead of your
> uninformative, wall-of-text ranting, why don't you post coherent requests for
> information, or information on the tests that you've run.

No your previous post wasn't usefull at all, this one is better so i guess i should congratulate you on being ontopic this time, for my rants, well i could care less about looking bad, i'm just trying to share what i was able to work alone you know i have no gain or agenda whatsoever so i guess i'm kind of right doing what i do, wouldn't you agree?

> 
> The set of use flags I'm using for testing is:
> USE="(-adabas) apache2 bcmath berkdb (-birdstep) bzip2 calendar cdb cgi cjk cli
> crypt ctype curl curlwrappers -db2 (-dbmaker) debug discard-path doc (-empress)
> (-empress-bcs) enchant (-esoob) exif fastbuild filter (-firebird) flatfile
> force-cgi-redirect (-frontbase) ftp -gd gd-external gdbm gmp hash iconv imap
> inifile -interbase intl iodbc ipv6 (-java-external) json kerberos ldap
> ldap-sasl -libedit -mcve mhash mssql mysql mysqli nls -oci8
> -oci8-instant-client odbc pcntl pcre pdo -phar pic posix postgres -qdbm
> readline -recode reflection -sapdb session -sharedext -sharedmem simplexml snmp
> soap sockets (-solid) spell spl sqlite ssl -suhosin (-sybase-ct) sysvipc
> threads tidy tokenizer truetype unicode wddx xml xmlreader xmlrpc xmlwriter
> -xpm xsl yaz zip zlib"
> 

Tons of useless misunderstood uses in your setup:
-lose fastbuild, this is an ebuild feature i have no idea if it works so let's not check until there are not any other problem.
-lose the cgi and the cgi related this is a dumb sapi and in a funny way quite unsecure too. (cgi, discard-path, force-cgi-redirect).
-lose the gd-external and put gd, this is just preventing you from using a lot of gd features
-lose debug this is useless

> Reasons for these choices (ie. notes I've made as to why I've disabled various
> use flags in my current setup):
> # Flag conflicts:
> # qdbm conflicts with gdbm
> # gd conflicts with gd-external
> # realine conflicts with libedit
> # recode conflicts with: mysql imap yaz
> # sharedmem conflicts with threads
> # Software not in portage: db2 interbase sapdb
> # PECL Modules requiring updates: mcve
> # Use flag xpm requires gd
> 
> For the record I'm currently testing on an amd64 setup, which is completely
> stable bar php, sandbox and portage 2.2.
> 
> It is perfectly possible that the sandbox issues with phar don't occur in
> stable sandbox, but since many people are already using portage 2.2, they
> definitely need to be looked at.
> 

i have compiled it on x86, amd64, all in ~arch no stable environment with no major issues and this list of uses

apache2 bcmath berkdb bzip2 calendar cdb cli crypt ctype curl curlwrappers enchant exif filter ftp gd gdbm gmp hash iconv imap intl ipv6 json kerberos ldap ldap-sasl mhash mysql mysqli nls odbc pcntl pcre pdo phar pic posix postgres readline reflection session sharedext simplexml snmp soap sockets spell spl sqlite ssl sysvipc threads tidy tokenizer truetype unicode wddx xml xmlreader xmlrpc xmlwriter xpm xsl yaz zip zlib -adabas -birdstep -cgi -cjk -concurrentmodphp -db2 -dbmaker -debug -discard-path -doc -empress -empress-bcs -esoob -fastbuild -firebird -flatfile -force-cgi-redirect -frontbase -gd-external -inifile -interbase -iodbc (-java-external) -kolab -libedit -mcve -mssql -oci8 -oci8-instant-client -qdbm -recode -sapdb -sharedmem -solid -suhosin -sybase-ct
Comment 64 Allen Brooker (AllenJB) 2009-11-29 20:29:45 UTC
(In reply to comment #63)
> (In reply to comment #62)
> > Foolish or not, if this package is put into portage today, I can gaurantee it
> > will be running in production environments by tomorrow.
> 
> Well then you have your reason, it's not in portage because it has nothing to
> do in portage except for ~arch but well... you know that ~arch is not intended
> for production don't you?

And yet I and many others use ~arch packages in production. I believe your definition of the testing branch is incorrect. As far as I'm concerned, ~arch means it hasn't recieved enough testing for the Gentoo developers to consider the package stable and usage is up to the individual user.

> > The list of issues comes from my own testing of the attached PHP package.
> 
> And i'll show you what you do wrong.
> 
> > 
> > I fully intend to look at providing an updated pecl-mcve package and look at
> > the sandbox issues that enabling phar support triggered when I've completed
> > some of my other work on the php package. Unfortunately I don't have infinite
> > time to spend on the project, so it's slow going for me.
> 
> There is no phar error there is a sandbox error, put an ~arch on sandbox and it
> will go away.
I'm already using ~arch sandbox, as I stated below.

> > As a side note, considering the pecl-mcve package is pulled in by a use flag on
> > your posted ebuild, it's hardly unrelated to this package.
> 
> It is since php is a dependency of pecl-mcve and not the opposite, there is
> nothing wrong withe mcve use flag in my ebuild, just the pecl-mcve package
> being out-of-date, so yes it's unrelated to this topic.

For a package to be in testing, all of its dependencies, optional or otherwise must be in testing first. Since you have this flag on your package, it cannot be committed to portage until the accompanying pecl-mcve update is also available.

> > The set of use flags I'm using for testing is:
> > USE="(-adabas) apache2 bcmath berkdb (-birdstep) bzip2 calendar cdb cgi cjk cli
> > crypt ctype curl curlwrappers -db2 (-dbmaker) debug discard-path doc (-empress)
> > (-empress-bcs) enchant (-esoob) exif fastbuild filter (-firebird) flatfile
> > force-cgi-redirect (-frontbase) ftp -gd gd-external gdbm gmp hash iconv imap
> > inifile -interbase intl iodbc ipv6 (-java-external) json kerberos ldap
> > ldap-sasl -libedit -mcve mhash mssql mysql mysqli nls -oci8
> > -oci8-instant-client odbc pcntl pcre pdo -phar pic posix postgres -qdbm
> > readline -recode reflection -sapdb session -sharedext -sharedmem simplexml snmp
> > soap sockets (-solid) spell spl sqlite ssl -suhosin (-sybase-ct) sysvipc
> > threads tidy tokenizer truetype unicode wddx xml xmlreader xmlrpc xmlwriter
> > -xpm xsl yaz zip zlib"
> > 
> 
> Tons of useless misunderstood uses in your setup:
> -lose fastbuild, this is an ebuild feature i have no idea if it works so let's
> not check until there are not any other problem.
> -lose the cgi and the cgi related this is a dumb sapi and in a funny way quite
> unsecure too. (cgi, discard-path, force-cgi-redirect).
> -lose the gd-external and put gd, this is just preventing you from using a lot
> of gd features
> -lose debug this is useless

And you seem to misunderstand: For the package to hit portage, all of these use flags should be tested. They are in your version of the package.

That your personal set of use flag selections work is not, in my opinion (nor, I believe, the opinion of the Gentoo developers), sufficient for this package to hit the main tree.

This is why it takes so long for major php updates to hit the tree - everything has to be tested to at least a basic level and any major issues resolved. This takes a lot of time and manpower.

gd-external was enabled at the time I took this snapshot because I've been looking at some test failures occuring in the gd code (you have emerged with FEATURES="test" enabled and checked through the results for anything serious, right?). I wanted to check whether the failures still occcurred with an external gd, as opposed to the bundled gd.

cgi, in itself, is no less secure than an apache module and is required for use with non-apache web servers.

debug isn't useless. It enables debugging features, helping to track down the cause of errors. Since I'm currently working on the package from a development point of view, I've enabled it.

This set of use flags is just the initial set. I basically enabled all the use flags then resolved conflicts in the manner that would leave the most popular features (personal opinion - no figures to back these up, but I have to start somewhere and intend to test the remaining use flags later).
Comment 65 Kfir Ozer 2009-12-05 15:00:57 UTC
won't compile on autoconf 2.64

bug information on http://aspn.activestate.com/ASPN/Mail/Message/php-dev/3784318
Comment 66 Christian Hoffmann (RETIRED) gentoo-dev 2009-12-06 17:05:14 UTC
While I don't think this is the proper place for discussing the maintainance issue, I'm commenting on it now, in the hope that we can focus on the actual ebuild work again.

Yes, my free time substantially decreased in the last few months. I would love to provide you with the shiniest new php versions/features, but sadly I am unable to do so in time.
I was hoping to be able to work on php during my work time, which I am permitted to do, but sadly there are lots of things which are considered more important.

I guess you ask what I think should be done now:
I only see two options:
Either someone else takes over php (I have absolutely no problem with it. To be honest, I don't enjoy working with php (both from a user and more importantly as a maintainer perspective) at all), but taking over does not mean contributing one ebuild. Taking over means getting Gentoo's php into a state, which is easily maintainable again. If you think you are able to do that, please do that!
Or -- second possibility -- hope that I will be able to work on PHP.

There is only one thing which I really don't want to happen: I hope that noone will just commit an ebuild and assume that I will continue to maintain it. I won't. Maintaining php-5.2 has been anything but satisfying. I don't want to blame any previous Gentoo php maintainers, I appreciate their work. The main thing that is problematic is the fact, that lots of properties of php are assumed to be consistent across PHP's patch level releases. But they aren't. As such it's hard to force the handling of these properties into eclasses. The code becomes really ugly at some time.

Anyway, I don't want to spam this bug even more.

All in all: If you want to take over php, do it, I won't hate you for it, no, instead, I'd appreciate the desicion to take over all that work.

I'll try to arrange something at my work place so that I can get something done *this* coming week.


BTW: Guess what, the few very harsh comments in this bug rather lead to me not watching this bug anymore at all. It's *highly* demotivating.
Comment 67 Mehmet Ceyran 2009-12-06 17:17:31 UTC
And if you look at comment 30 onwards you will see that I was right...

Best Regards
Mehmet
Comment 68 Allen Brooker (AllenJB) 2009-12-06 19:54:09 UTC
Christian,

Thanks for the update (and all your hard work to date) - It's much appreciated.

Do you perhaps have some sort of notes / documentation on what process / steps you generally use when creating and testing updated packages for dev-lang/php?
Comment 69 Gordon Pettey 2009-12-10 00:29:52 UTC
--enable-discard-path and --enable-force-cgi-redirect are not valid configure options for PHP 5.3+.
"discard-path force-cgi-redirect" should be removed from SAPI_CGI_USE for 5.3 ebuilds.
Comment 70 Christian Hoffmann (RETIRED) gentoo-dev 2009-12-10 21:08:44 UTC
(In reply to comment #69)
> --enable-discard-path and --enable-force-cgi-redirect are not valid configure
> options for PHP 5.3+.
> "discard-path force-cgi-redirect" should be removed from SAPI_CGI_USE for 5.3
> ebuilds.
Yes, that's one oversight of the posted ebuilds.

I've had some time to work on php-5.3 today and did lots of changes.
What I have now is a syntactically correct ebuild, which should represent all dependencies etc. properly (i.e. they are correct, up-to-date and implemented as USE deps).
I killed lots of old code.. which reduces the overall code size from ~1300 to 900 lines.

What's missing? Updating of the patches (should not be too much work, I already did that for some pre versions) and probably splitting all the common code out again. And then.. lots of testing.
I'll try to get even more done tomorrow, but it might happen that I have to postpone it to Monday.

(In reply to comment #68)
> Do you perhaps have some sort of notes / documentation on what process / steps
> you generally use when creating and testing updated packages for dev-lang/php?
No, the update of a minor version (like 5.2 -> 5.3) is not something I do regularly. Patch level bumps include running the test suite and doing testing on x86 and amd64 of some web apps (phpMyAdmin, moodle, roundcube, sometimes some others as well) by hand.
Comment 71 Frankiz DANIEL 2009-12-16 20:05:02 UTC
(In reply to comment #70)
> (In reply to comment #69)
> > --enable-discard-path and --enable-force-cgi-redirect are not valid configure
> > options for PHP 5.3+.
> > "discard-path force-cgi-redirect" should be removed from SAPI_CGI_USE for 5.3
> > ebuilds.
> Yes, that's one oversight of the posted ebuilds.
> 
> I've had some time to work on php-5.3 today and did lots of changes.
> What I have now is a syntactically correct ebuild, which should represent all
> dependencies etc. properly (i.e. they are correct, up-to-date and implemented
> as USE deps).
> I killed lots of old code.. which reduces the overall code size from ~1300 to
> 900 lines.
> 
> What's missing? Updating of the patches (should not be too much work, I already
> did that for some pre versions) and probably splitting all the common code out
> again. And then.. lots of testing.
> I'll try to get even more done tomorrow, but it might happen that I have to
> postpone it to Monday.
> 
> (In reply to comment #68)
> > Do you perhaps have some sort of notes / documentation on what process / steps
> > you generally use when creating and testing updated packages for dev-lang/php?
> No, the update of a minor version (like 5.2 -> 5.3) is not something I do
> regularly. Patch level bumps include running the test suite and doing testing
> on x86 and amd64 of some web apps (phpMyAdmin, moodle, roundcube, sometimes
> some others as well) by hand.
> 

If you need/want/require any help, i'd be glad to help you, i can do some testing or so, just send me a mail with what you want me to do.
Comment 72 Frankiz DANIEL 2009-12-16 20:15:04 UTC
(In reply to comment #66)
> I only see two options:
> Either someone else takes over php (I have absolutely no problem with it. To be
> honest, I don't enjoy working with php (both from a user and more importantly
> as a maintainer perspective) at all), but taking over does not mean
> contributing one ebuild. Taking over means getting Gentoo's php into a state,
> which is easily maintainable again. If you think you are able to do that,
> please do that!
> Or -- second possibility -- hope that I will be able to work on PHP.

There is a third imo, maintaining php is not an easy task, the php group itself has hard time having any roadmap or other real development process at all, it's just a mess. The third option would be to have it done as a team, you should definely lead the php maintenance, but doing it all alone just suckz, so what i propose is quite simple, let me support you and let's keep the php ebuilds maintenance running together, and eventually some other people may tag along. 
Comment 73 Christian Hoffmann (RETIRED) gentoo-dev 2009-12-16 21:46:21 UTC
There is an experimental php-5.3.1 ebuild at http://hg.hoffie.info/gentoo-php-rewrite/

What does work: Building, Installation, running webapps.

What's still missing: Lots of testing, several other things (there is a TODO file in the repository; this is nothing standard, it's my personal playground). Main tasks for me will be splitting the ebuild into eblits, checking the test failures and solving the php-config conflict).

Testing appreciated, but this is still not the time of my official request for testing... i'll request that once php-5.3.1 is in the main tree and p.masked.

Please file bugs for any regressions (and note, that they are regressions) and mark them as blockers for this bug. Please also report normal bugs (i.e. "phar does not work" -- although this is not high priority; it's a new feature anyway).

Have fun!

Lots of things (mostly internal) have changed, so there is a high chance that I've introduced regressions. Well, blame me, but I do hope you see the positive aspects as well.
Comment 74 Molot 2009-12-18 13:31:26 UTC
It seems that ebuild from http://hg.hoffie.info/gentoo-php-rewrite/ tends to pull in libpq-8.2 which conflicts with postgresql-8.4, what was not the case with php-5.2; also, it fails with messages about directories not find when I try to emerge --nodeps.

And now I really don't know if those are bugs, or the first is due to flags i don't understand and the later - result of a --nodeps.

Is there a way to test this without affecting my system's php? Other than full virtual test machine, that is. And what should I attach to a report (except log file)? I'd love to be useful here, but I just don't have experience in ebuilds and stuff...
Comment 75 Rodrigo Saboya 2009-12-18 14:44:10 UTC
(In reply to comment #74)
> It seems that ebuild from http://hg.hoffie.info/gentoo-php-rewrite/ tends to
> pull in libpq-8.2 which conflicts with postgresql-8.4, what was not the case
> with php-5.2; also, it fails with messages about directories not find when I
> try to emerge --nodeps.
> 
> And now I really don't know if those are bugs, or the first is due to flags i
> don't understand and the later - result of a --nodeps.
> 
> Is there a way to test this without affecting my system's php? Other than full
> virtual test machine, that is. And what should I attach to a report (except log
> file)? I'd love to be useful here, but I just don't have experience in ebuilds
> and stuff...
> 

The ebuild doesn't pull an specific version of libpq. I have libpq 8.1.11 installed and Hoffmann's ebuild didn't try to pull a new version of libpq. The only thing this new ebuild pulled was oniguruma.

I didn't emerge it yet tho, I work with PHP 5.2 applications =P
Comment 76 Steffen 'j0inty' Stollfuß 2009-12-18 16:46:48 UTC
(In reply to comment #75)
> (In reply to comment #74)
> > It seems that ebuild from http://hg.hoffie.info/gentoo-php-rewrite/ tends to
> > pull in libpq-8.2 which conflicts with postgresql-8.4, what was not the case
> > with php-5.2; also, it fails with messages about directories not find when I
> > try to emerge --nodeps.
> > 
> > And now I really don't know if those are bugs, or the first is due to flags i
> > don't understand and the later - result of a --nodeps.
> > 
> > Is there a way to test this without affecting my system's php? Other than full
> > virtual test machine, that is. And what should I attach to a report (except log
> > file)? I'd love to be useful here, but I just don't have experience in ebuilds
> > and stuff...
> > 

Hi I ran into the same problem and fixed the ebuild manually for the postgres use flag. I replaced only line 156 in the ebuild the line:

>=dev-db/libpq-7.1

with

|| ( >=dev-db/libpq-7.1 dev-db/postgresql-base )

> The ebuild doesn't pull an specific version of libpq. I have libpq 8.1.11
> installed and Hoffmann's ebuild didn't try to pull a new version of libpq. The
> only thing this new ebuild pulled was oniguruma.
> 
> I didn't emerge it yet tho, I work with PHP 5.2 applications =P
> 

That isn't really correct. If someone has the postgres-base package installed the new php-5.3.1.ebuild won't compile, because of a block between the packages dev-db/libpq and dev-db/postgresql-base.

[ebuild  N    ] dev-db/libpq-8.2.14  USE="kerberos nls pam readline ssl threads zlib -pg-intdatetime" 0 kB
[blocks B     ] dev-db/libpq ("dev-db/libpq" is blocking dev-db/postgresql-base-8.4.2)                    
[blocks B     ] dev-db/libpq ("dev-db/libpq" is blocking app-admin/eselect-postgresql-0.3)                
[blocks B     ] dev-db/postgresql-base ("dev-db/postgresql-base" is blocking dev-db/libpq-8.2.14)

regards
j0inty
Comment 77 M. Prášek 2009-12-19 20:15:10 UTC
(In reply to comment #73)
> There is an experimental php-5.3.1 ebuild at
> http://hg.hoffie.info/gentoo-php-rewrite/
> 

Thanx for your effort . 

I hit two problems: First is the problem with libpq mentioned ad the bottom of page, second that it complain about some files from http://files.hoffie.info/static/

Thanx for fast fix.
Comment 78 Christian Hoffmann (RETIRED) gentoo-dev 2009-12-20 20:41:06 UTC
(In reply to comment #77)
> I hit two problems: First is the problem with libpq mentioned ad the bottom of
> page.
Yes, I mixed something up regarding postgres providers and did not integrate support for postgres-base for that reason. Should be fixed now.

> second that it complain about some files from
> http://files.hoffie.info/static/
Yes, that was expected and is only related to my testing overlay. I've put a workaround in place, so that it works as any normal ebuild as well. At least it should.

(In reply to comment #74)
> It seems that ebuild from http://hg.hoffie.info/gentoo-php-rewrite/ tends to
> pull in libpq-8.2 which conflicts with postgresql-8.4, what was not the case
> with php-5.2; also, it fails with messages about directories not find when I
> try to emerge --nodeps.
The latter is most likely related to --nodeps. If not, file a bug please.

> Is there a way to test this without affecting my system's php? Other than full
> virtual test machine, that is. And what should I attach to a report (except log
> file)? I'd love to be useful here, but I just don't have experience in ebuilds
> and stuff...
Yes, there is a way, but it will most likely pull in lots dependencies, which ou already have installed on your main system.

Once again, please report any issues as new bug reports to avoid spamming this bug. Thanks.

Non-bugs should not go to bugzilla, but feel free to ask me via mail.
Comment 79 Rodrigo Saboya 2009-12-21 14:11:14 UTC
Don't know if this is the right place, but some ebuilds will need a bump because of some USE deps that were dropped. These are the ones that need updating because the pcre flag was dropped:

dev-php5/agavi
dev-php5/php-gtk
dev-php5/phpunit
dev-php5/symfony

dev-php/PEAR-Archive_Tar
dev-php/PEAR-Console_Getopt
dev-php/PEAR-File_Gettext
dev-php/PEAR-File_Passwd
dev-php/PEAR-HTTP
dev-php/PEAR-HTTP_Download
dev-php/PEAR-I18Nv2
dev-php/PEAR-PEAR
dev-php/PEAR-PHP_Shell
dev-php/PEAR-Services_Weather
dev-php/PEAR-Structures_Graph
dev-php/PEAR-Text_Wiki_BBCode
dev-php/PEAR-Var_Dump
dev-php/PEAR-XML_Util
dev-php/roadsend-php
dev-php/stringparser_bbcode
Comment 80 M. Prášek 2009-12-23 01:35:57 UTC
(In reply to comment #78)
> (In reply to comment #77)
> > I hit two problems: First is the problem with libpq mentioned ad the bottom of
> > page.
> Yes, I mixed something up regarding postgres providers and did not integrate
> support for postgres-base for that reason. Should be fixed now.
> 
> > second that it complain about some files from
> > http://files.hoffie.info/static/
> Yes, that was expected and is only related to my testing overlay. I've put a
> workaround in place, so that it works as any normal ebuild as well. At least it
> should.
> 

Hi. Now it succesfuly compile, but I can not update some pecl extensions pecl-ssh2 for example with is vital for me . I do not know if here is a right place for complain. 

/bin/sh /var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/libtool --mode=compile i686-pc-linux-gnu-gcc  -I. -I/var/tmp/portage/
libtool: compile:  i686-pc-linux-gnu-gcc -I. -I/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0 -DPHP_ATOM_INC -I/var/tmp/port
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:52: error: duplicate 'static'
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c: In function 'zif_ssh2_methods_negotiated':
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:503: warning: passing argument 4 of 'add_assoc_string_ex' discards qua
/usr/lib/php5/include/php/Zend/zend_API.h:360: note: expected 'char *' but argument is of type 'const char *'
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:504: warning: passing argument 4 of 'add_assoc_string_ex' discards qua
/usr/lib/php5/include/php/Zend/zend_API.h:360: note: expected 'char *' but argument is of type 'const char *'
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:508: warning: passing argument 4 of 'add_assoc_string_ex' discards qua
/usr/lib/php5/include/php/Zend/zend_API.h:360: note: expected 'char *' but argument is of type 'const char *'
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:509: warning: passing argument 4 of 'add_assoc_string_ex' discards qua
/usr/lib/php5/include/php/Zend/zend_API.h:360: note: expected 'char *' but argument is of type 'const char *'
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:510: warning: passing argument 4 of 'add_assoc_string_ex' discards qua
/usr/lib/php5/include/php/Zend/zend_API.h:360: note: expected 'char *' but argument is of type 'const char *'
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:511: warning: passing argument 4 of 'add_assoc_string_ex' discards qua
/usr/lib/php5/include/php/Zend/zend_API.h:360: note: expected 'char *' but argument is of type 'const char *'
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:516: warning: passing argument 4 of 'add_assoc_string_ex' discards qua
/usr/lib/php5/include/php/Zend/zend_API.h:360: note: expected 'char *' but argument is of type 'const char *'
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:517: warning: passing argument 4 of 'add_assoc_string_ex' discards qua
/usr/lib/php5/include/php/Zend/zend_API.h:360: note: expected 'char *' but argument is of type 'const char *'
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:518: warning: passing argument 4 of 'add_assoc_string_ex' discards qua
/usr/lib/php5/include/php/Zend/zend_API.h:360: note: expected 'char *' but argument is of type 'const char *'
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:519: warning: passing argument 4 of 'add_assoc_string_ex' discards qua
/usr/lib/php5/include/php/Zend/zend_API.h:360: note: expected 'char *' but argument is of type 'const char *'
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c: In function 'zif_ssh2_publickey_add':
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:1045: warning: passing argument 1 of '_efree' discards qualifiers from
/usr/lib/php5/include/php/Zend/zend_alloc.h:60: note: expected 'void *' but argument is of type 'const char *'
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c: In function 'zif_ssh2_publickey_list':
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:1104: warning: passing argument 4 of 'add_assoc_stringl_ex' discards q
/usr/lib/php5/include/php/Zend/zend_API.h:361: note: expected 'char *' but argument is of type 'const unsigned char *'
/var/tmp/portage/dev-php5/pecl-ssh2-0.11.0/work/ssh2-0.11.0/ssh2.c:1105: warning: passing argument 4 of 'add_assoc_stringl_ex' discards q
/usr/lib/php5/include/php/Zend/zend_API.h:361: note: expected 'char *' but argument is of type 'const unsigned char *'
make: *** [ssh2.lo] Error 1


Comment 81 Christian Hoffmann (RETIRED) gentoo-dev 2009-12-24 13:01:39 UTC
(In reply to comment #79)
> Don't know if this is the right place, but some ebuilds will need a bump
> because of some USE deps that were dropped. These are the ones that need
> updating because the pcre flag was dropped:
No, it's not the right place. The right place would have been a seperate bug report. I've filed one now -- bug 298205.
Thanks for your research nevertheless. :)

> Hi. Now it succesfuly compile, but I can not update some pecl extensions
> pecl-ssh2 for example with is vital for me . I do not know if here is a right
> place for complain. 
No, this bug is not the right place either. You should have filed a seperate bug for this and any similar issues.
I've fixed it now nevertheless. Thanks for the report. :)
Comment 82 Marcin Mirosław 2010-01-04 14:05:55 UTC
php-5.3.x needs autoconf:2.1 and it should be added to ebuild. With autoconf-2.65 i'm getting:
$ autoconf-2.65 
configure.in:492: warning: AC_CACHE_VAL(have_broken_glibc_fopen_append, ...): suspicious cache-id, must contain _cv_ to be cached
../../lib/autoconf/general.m4:1998: AC_CACHE_VAL is expanded from...                                                             
aclocal.m4:1689: PHP_BROKEN_GLIBC_FOPEN_APPEND is expanded from...                                                               
configure.in:492: the top level                                                                                                  
ext/mbstring/config.m4:356: warning: AC_CACHE_VAL(cv_php_mbstring_stdarg, ...): suspicious cache-id, must contain _cv_ to be cached
../../lib/autoconf/general.m4:2019: AC_CACHE_CHECK is expanded from...                                                             
ext/mbstring/config.m4:67: PHP_MBSTRING_SETUP_MBREGEX is expanded from...                                                          
ext/mbstring/config.m4:356: the top level
[...]

And configure script is completely broken:
$ LC_ALL="en_US" ./configure
cat: confdefs.h: No such file or directory
./configure: line 389: ac_fn_c_try_run: command not found
./configure: line 405: 5: Bad file descriptor
./configure: line 406: 6: Bad file descriptor
cat: confdefs.h: No such file or directory
./configure: line 445: ac_fn_c_try_run: command not found
cat: confdefs.h: No such file or directory
./configure: line 445: ac_fn_c_try_run: command not found
cat: confdefs.h: No such file or directory
./configure: line 445: ac_fn_c_try_run: command not found
cat: confdefs.h: No such file or directory
./configure: line 445: ac_fn_c_try_run: command not found
cat: confdefs.h: No such file or directory
[...]

With autoconf:2.1 everything is ok.
Comment 83 Marcin Mirosław 2010-01-04 14:07:55 UTC
(In reply to comment #65)
> won't compile on autoconf 2.64
> 
> bug information on
> http://aspn.activestate.com/ASPN/Mail/Message/php-dev/3784318

Argh, i missed this. Forgive me spam. 

Comment 84 Kristopher 2010-01-06 15:02:02 UTC
I'm still getting block isues with libpq:

$ emerge --pretend php

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] dev-db/libpq-8.2.14  USE="nls pam readline ssl zlib -kerberos -pg-intdatetime -threads"
[uninstall    ] app-admin/eselect-postgresql-0.3
[blocks b     ] dev-db/libpq ("dev-db/libpq" is blocking app-admin/eselect-postgresql-0.3)
[ebuild  N    ] dev-lang/php-5.3.1  USE="apache2 berkdb bzip2 calendar cgi cli crypt ctype curl fileinfo ftp gd gdbm hash iconv imap ipv6 json ldap mysql nls pdo phar postgres readline session simplexml sockets sqlite ssl tokenizer truetype unicode xml zip zlib (-adabas) -bcmath (-birdstep) -cdb -cjk -concurrentmodphp -curlwrappers -db2 (-dbmaker) -debug -doc -embed (-empress) (-empress-bcs) -enchant (-esoob) -exif -filter (-firebird) -flatfile (-frontbase) -gd-external -gmp -inifile -interbase -intl -iodbc -kerberos -kolab -ldap-sasl -libedit -mcve -mssql -mysqli -mysqlnd -oci8 -oci8-instant-client -odbc -pcntl -pic -posix -qdbm -recode -sapdb -sharedext -sharedmem -snmp -soap (-solid) -spell -sqlite3 -suhosin (-sybase-ct) -sysvipc -threads -tidy -wddx -xmlreader -xmlrpc -xmlwriter -xpm -xsl -yaz"
[blocks B     ] dev-db/libpq ("dev-db/libpq" is blocking dev-db/postgresql-base-8.4.2)
[blocks B     ] dev-db/postgresql-base ("dev-db/postgresql-base" is blocking dev-db/libpq-8.2.14)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'dev-db/postgresql-base-8.4.2', 'nomerge') pulled in by
    dev-db/postgresql-base required by world

  ('ebuild', '/', 'dev-db/libpq-8.2.14', 'merge') pulled in by
    >=dev-db/libpq-7.1 required by ('ebuild', '/', 'dev-lang/php-5.3.1', 'merge')
Comment 85 Eric Johnson 2010-01-07 07:33:57 UTC
(In reply to comment #84)
> I'm still getting block isues with libpq:
> 
me, as well, dependent only on whether postgresql-base-8.4 is installed, independent of any request for installation of php (or ruby, apr-util, etc). if libpq is needed and postgresql-base-8.4 is installed, it will block.

Comment 86 Eric Johnson 2010-01-10 02:38:12 UTC
(In reply to comment #85)
> (In reply to comment #84)
> > I'm still getting block isues with libpq:
> > 
> me, as well, dependent only on whether postgresql-base-8.4 is installed,
> independent of any request for installation of php (or ruby, apr-util, etc). if
> libpq is needed and postgresql-base-8.4 is installed, it will block.
> 
I added virtual/postgresql-base to package.keywords and the dependency was dropped. (btw, running sparc - not sure if it is relevant to other arches)
Comment 87 Anthony Parsons 2010-01-16 02:31:26 UTC
Hi, I just added bug 301159 (same deal as bug 298205, just a different USE=)
Comment 88 Gerald 2010-01-22 15:25:09 UTC
Hi! I can build php5.3.1 with hoffies overlay, but when I start Apache with php support I get:

apache2: Syntax error on line 173 of /etc/apache2/httpd.conf: Syntax error on line 4 of /etc/apache2/modules.d/70_mod_php5.conf: Cannot load /usr/lib64/apache2/modules/libphp5.so into server: /usr/lib64/apache2/modules/libphp5.so: undefined symbol: zend_ini_boolean_displayer_cb

USE="apache2 berkdb bzip2 cli crypt ctype curl exif ftp gd gdbm gmp iconv imap json ldap mysql nls pdo readline session simplexml snmp soap ssl tidy truetype unicode xml zlib".

It is ~amd64, apache-2.2.14-r1 (same with 2.2.10), gcc 4.1.2

The build goes well, I saw only one thing during ./configure:
checking for re2c... no
configure: WARNING: You will need re2c 0.13.4 or later if you want to regenerate PHP parsers.
checking whether to enable computed goto gcc extension with re2c... no
./configure: line 5894: test: too many arguments
checking whether to force non-PIC code in shared modules... no

Any pointers?
Thanks!
Comment 89 Kristopher 2010-01-22 15:54:40 UTC
(In reply to comment #88)
> Hi! I can build php5.3.1 with hoffies overlay, but when I start Apache with php
> support I get:

Same issue as Gerald, coincidentally, it just started happening. Apache and PHP 5.3 are running fine. But when I try to restart Apache, I get the same error.
Comment 90 Cănărău Constantin 2010-02-02 12:27:17 UTC
What could cause folowing error ?

gentoo local # emerge -pv php

These are the packages that would be merged, in order:

Calculating dependencies  /usr/portage/local/gentoo-php-rewrite/dev-lang/php/php-5.3.1.ebuild: line 90: eblit-php-metadata: comandă negăsită
 * ERROR: dev-lang/php-5.3.1 failed:
 *   error sourcing ebuild
 * 
 * Call stack:
 *   ebuild.sh, line 1870:  Called die
 * The specific snippet of code:
 *   			source "$EBUILD" || die "error sourcing ebuild"
 * 
 * If you need support, post the output of 'emerge --info =dev-lang/php-5.3.1',
 * the complete build log and the output of 'emerge -pqv =dev-lang/php-5.3.1'.
 * S: '/var/tmp/portage/dev-lang/php-5.3.1/work/php-5.3.1'
                            ... done!
[ebuild     UD] dev-lang/php-5.2.12 [5.3.1] USE="apache2 bcmath bzip2 calendar cdb cgi cli crypt ctype curl curlwrappers exif filter flatfile ftp gd gdbm gmp hash iconv imap inifile json kolab mcve mysql mysqli ncurses%* nls pcntl pcre%* pdo pic posix postgres readline reflection%* session sharedext simplexml snmp soap sockets spell spl%* sqlite ssl suhosin sysvipc threads tidy tokenizer truetype unicode wddx xml xmlreader xmlrpc xmlwriter xpm xsl zip zlib (-adabas) -berkdb (-birdstep) -cjk -concurrentmodphp -db2 -dbase% (-dbmaker) -debug -discard-path% -doc (-empress) (-empress-bcs) (-esoob) -fastbuild% (-fdftk) (-firebird) -force-cgi-redirect% (-frontbase) -gd-external -interbase -iodbc -ipv6 (-java-external) -kerberos -ldap -ldap-sasl -libedit -mhash% -msql% -mssql -oci8 -oci8-instant-client -odbc -qdbm -recode -sapdb -sharedmem (-solid) (-sybase) (-sybase-ct) -yaz (-embed%) (-enchant%*) (-fileinfo%*) (-intl%) (-mysqlnd%) (-phar%) (-sqlite3%*)" 6,051 kB [1=>0]

Total: 1 package (1 downgrade), Size of downloads: 6,051 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/portage/local/gentoo-php-rewrite

comandă negăsită = command not found

I deleted and recloned the overlay:
gentoo local # rm -rf gentoo-php-rewrite ; hg clone http://hg.hoffie.info/gentoo-php-rewrite/
destination directory: gentoo-php-rewrite
requesting all changes
adding changesets
adding manifests
adding file changes
added 94 changesets with 263 changes to 105 files
updating to branch default
31 files updated, 0 files merged, 0 files removed, 0 files unresolved
but no change.

emaint report no problems:
gentoo local # emaint -c all
Checking world for problems
100% [========================================================================>]
Checking moveinst for problems
100% [========================================================================>]
Checking movebin for problems
    [ <=>                                                                      ]
Checking binhost for problems
    [ <=>                                                                      ]
Checking cleanresume for problems
100% [========================================================================>]
Finished

gentoo local # emerge --info
Portage 2.2_rc62 (default/linux/amd64/10.0/desktop, gcc-4.4.2, glibc-2.11-r1, 2.6.33-rc6-costel x86_64)
=================================================================
System uname: Linux-2.6.33-rc6-costel-x86_64-Intel-R-_Core-TM-_i7_CPU_860_@_2.80GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 02 Feb 2010 10:00:01 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1, 3.1.1-r1
dev-util/cmake:      2.8.0-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.0-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.51.0.5
sys-devel/gcc:       4.4.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64 x86 ~amd64 ~x86"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -mtune=native -floop-interchange -floop-strip-mine -floop-block"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/fax /usr/share/X11/xkb /usr/share/config /var/bind /var/lib/hsqldb /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native -mtune=native -floop-interchange -floop-strip-mine -floop-block"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests candy distlocks fixpackages lmirror news nodoc parallel-fetch prelink preserve-libs sfperms strict suidctl unmerge-logs unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS="http://mirrors.xservers.ro/gentoo/ http://ftp.roedu.net/pub/mirrors/gentoo.org/ http://mirrors.evolva.ro/gentoo/ http://distfiles.gentoo.org/ http://distfiles.gentoo.org"
LANG="ro_RO.UTF-8"
LC_ALL="ro_RO.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--warn-once,--hash-style=gnu"
LINGUAS="ro en en_GB"
MAKEOPTS="-j8 --load-average=11"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--progress --delete-before --human-readable"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/added /usr/portage/local/costel-media /usr/portage/local/gentoo-php-rewrite"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apache2 aspell audio big-tables bzip2 cairo cdr clamav cleartype cli consolekit cracklib crypt cups curl custom-cflags cxx dbus dhcp directfb dri dts dvd dvdr eds emboss encode evo extras faac faad fam fbcon fbcondecor ffmpeg firefox flac fontconfig fontforge fortran fuse gd gdbm geoip gif git glib gmp gnome gnutls gpm graphviz gstreamer gtk hal hddtemp iconv icu idn ieee1394 imagemagick iproute2 ithreads java jpeg jpeg2k justify kde lame lcms libcaca libnotify lm_sensors lua lzma mad matroska mikmod mmx mng modules mp3 mp4 mpeg mplayer mudflap multilib multipath mysql mysqli ncurses nls nptl nptlonly nsplugin ogg openal openexr opengl openmp oss pam pango pch pcre pdf perl plugins png policykit postgres ppds pppd python qt3support qt4 quicktime readline realms reflection replytolist rle rrdtool samba sasl schroedinger sdl semantic-desktop session sip slang smbclient sndfile snmp socks5 sound spamassassin spell spl sql sqlite sse sse2 ssh ssl startup-notification subversion svg swat symlink sysfs syslog tcl tcpd theora threads thunar tiff tk tools truetype unicode urandom usb v4l v4l2 vdpau vhosts video vorbis wav webdav webkit win64 x264 xattr xcb xcomposite xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_alias cern_meta charset_lite dumpio log_forensic proxy_ftp version actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias asis substitute" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ro en en_GB" LIRC_DEVICES="hauppauge" NETBEANS_MODULES="apisupport harness ide java nb cnd groovy gsf identity j2ee mobility php profiler soa visualweb webcommon websvccommon xml dlight ergonomics ruby enterprise" RUBY_TARGETS="ruby18 jruby" USERLAND="GNU" VIDEO_CARDS="nv nvidia" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 91 Cănărău Constantin 2010-02-12 09:13:53 UTC
I found the problem.
I don't know how but when ebuild call
# Metadata has to be available without ${FILESDIR} around as well
eblit-pkg metadata v1
FILESDIR variable is not defined so in eblit-core "e" variable is incomplete.
Comment 92 Christopher Williamson 2010-02-13 03:07:23 UTC
Did you manage to get the ebuild to merge? If so, what exactly did you do in order to make that happen? I'm trying to upgrade to PHP-5.3.1 on my dev box but it's just not happening - getting the same error as you.

(In reply to comment #91)
> I found the problem.
> I don't know how but when ebuild call
> # Metadata has to be available without ${FILESDIR} around as well
> eblit-pkg metadata v1
> FILESDIR variable is not defined so in eblit-core "e" variable is incomplete.
> 

(In reply to comment #1)
> There is not even a final release yet, and as I'm closely watching cvs and
> internals, I think I know fairly good what's happening.
> 
> So yes, of course we will add it, but it needs time to test things, clean up
> things etc.
> It's probably rather easy to get a simple ebuild for it working, but it's far
> from easy to implement lots of outstanding Gentoo-specific changes which can
> only be implemented in the 5.2 -> 5.3 move in a sane way, and getting rid of
> some obsolete stuff is also planned.
> Also, this release is highly likely to break software (although not necessarily
> intended), so it's going to live in p.mask for some time, I guess.
> 

(In reply to comment #91)
> I found the problem.
> I don't know how but when ebuild call
> # Metadata has to be available without ${FILESDIR} around as well
> eblit-pkg metadata v1
> FILESDIR variable is not defined so in eblit-core "e" variable is incomplete.
> 
Comment 93 Christopher Williamson 2010-02-13 23:42:10 UTC
I was trying to get hoffie's ebuild to build and really wasn't getting very far since I was getting the same error as the guy above and I managed to find (with the help of the #gentoo-dev-help channel) a *very* hacky way to get the ebuild to work.

cd /usr/local && http://hg.hoffie.info/gentoo-php-rewrite/ && cd /usr/local/gentoo-php-rewrite/dev-lang/php && cat files/eblits/* >> php-5.3.1.ebuild

This location then needs adding to your PORTAGE_OVERLAY option in /etc/make.conf and you're good to go!

It's a very hacky way to work-around the fact that the eblits weren't being included in the ebuild properly. To work around this I just copied every eblit files contents in to the ebuild its self. It's not elegant but it *does* build and I would assume works just the same.

Hope this helps someone!
Comment 94 Paulo M 2010-02-19 13:52:20 UTC
I also see the issue with apache complaining when restarting (see error message below). I tried to narrow down what USE flag could cause it and, oddly, 'cli' seems to be it.

'USE=-* apache2' works fine. 

'USE=-* apache2 cli' does not (apache doesn't start).

This also works well, as long 'cli' is kept out:

USE="apache2 bzip2 crypt ctype curl gd hash iconv ipv6 json mysql mysqli nls pdo posix readline session sharedmem simplexml sockets sqlite ssl tokenizer truetype unicode xml xmlreader xmlrpc xmlwriter xsl zip zlib -adabas -bcmath -berkdb -birdstep -calendar -cdb -cgi -cjk -cli -concurrentmodphp -curlwrappers -db2 -dbmaker -debug -doc -embed -empress -empress-bcs -enchant -esoob -exif -fileinfo -filter -firebird -flatfile -frontbase -ftp -gd-external -gdbm -gmp -imap -inifile -interbase -intl -iodbc -kerberos -kolab -ldap -ldap-sasl -libedit -mcve -mssql -mysqlnd -oci8 -oci8-instant-client -odbc -pcntl -phar -pic -postgres -qdbm -recode -sapdb -sharedext -snmp -soap -solid -spell -sqlite3 -suhosin -sybase-ct -sysvipc -threads -tidy -wddx -xpm -yaz"

This is the error I get when starting apache if 'cli' is compiled as well:

 * apache2 has detected a syntax error in your configuration files:
apache2: Syntax error on line 98 of /etc/apache2/httpd.conf: Syntax error on line 4 of /etc/apache2/modules.d/70_mod_php5.conf: Cannot load /usr/lib/apache2/modules/libphp5.so into server: /usr/lib/apache2/modules/libphp5.so: undefined symbol: zend_parse_parameters
Comment 95 Cănărău Constantin 2010-02-22 18:44:26 UTC
Yes, I manage to make it to compile by adding FILESDIR="..." before 
eblit-pkg metadata v1
but I've got some Segmentation fault with pear so I reverted to 5.2.12 version.
Sorry for delay but I forgotten to add myself to CC list. 

(In reply to comment #92)
> Did you manage to get the ebuild to merge? If so, what exactly did you do in
> order to make that happen? I'm trying to upgrade to PHP-5.3.1 on my dev box but
> it's just not happening - getting the same error as you.
> 
> (In reply to comment #91)
> > I found the problem.
> > I don't know how but when ebuild call
> > # Metadata has to be available without ${FILESDIR} around as well
> > eblit-pkg metadata v1
> > FILESDIR variable is not defined so in eblit-core "e" variable is incomplete.
> > 
> 
> (In reply to comment #1)
> > There is not even a final release yet, and as I'm closely watching cvs and
> > internals, I think I know fairly good what's happening.
> > 
> > So yes, of course we will add it, but it needs time to test things, clean up
> > things etc.
> > It's probably rather easy to get a simple ebuild for it working, but it's far
> > from easy to implement lots of outstanding Gentoo-specific changes which can
> > only be implemented in the 5.2 -> 5.3 move in a sane way, and getting rid of
> > some obsolete stuff is also planned.
> > Also, this release is highly likely to break software (although not necessarily
> > intended), so it's going to live in p.mask for some time, I guess.
> > 
> 
> (In reply to comment #91)
> > I found the problem.
> > I don't know how but when ebuild call
> > # Metadata has to be available without ${FILESDIR} around as well
> > eblit-pkg metadata v1
> > FILESDIR variable is not defined so in eblit-core "e" variable is incomplete.
> > 
> 

Comment 96 Vladimir Tsisaruk 2010-02-25 14:03:24 UTC
Created attachment 221143 [details, diff]
Patch for Christian Hoffmann repository (r93)

This patch fixes trouble with apache2 module. It tested on ~x86 and ~amd64.

Using:
rm -rf gentoo-php-rewrite
hg clone http://hg.hoffie.info/gentoo-php-rewrite/
cd ./gentoo-php-rewrite/
patch -p1 < /path to patch/php-5.3.1.patch
Comment 97 Paulo M 2010-03-03 15:50:46 UTC
The patch by Vladimir fixed my issue when compiling with 'cli' use flag and now apache starts fine. It now compiles fine using the USE flags below.

Note that APC must be recompiled afterwards (the ones who use it, that it) and dev-php5/pecl-apc-3.0.19 doesn't seem to compile with this ebuild but dev-php5/pecl-apc-3.1.3_p1 works fine and according to the APC Changelog, 3.0.19 is lagging behind on PHP 5.3 support anyway.  http://pecl.php.net/package-changelog.php?package=APC


USE="apache2 bzip2 cli crypt ctype curl gd hash iconv ipv6 json mysql mysqli mysqlnd nls pdo posix readline session simplexml sockets sqlite ssl tokenizer truetype unicode xml xmlreader xmlrpc xmlwriter xsl zip zlib -adabas -bcmath -berkdb -birdstep -calendar -cdb -cgi -cjk -concurrentmodphp -curlwrappers -db2 -dbmaker -debug -doc -embed -empress -empress-bcs -enchant -esoob -exif -fileinfo -filter -firebird -flatfile -frontbase -ftp -gd-external -gdbm -gmp -imap -inifile -interbase -intl -iodbc -kerberos -kolab -ldap -ldap-sasl -libedit -mcve -mssql -oci8 -oci8-instant-client -odbc -pcntl -phar -pic -postgres -qdbm -recode -sapdb -sharedext -sharedmem -snmp -soap -solid -spell -sqlite3 -suhosin -sybase-ct -sysvipc -threads -tidy -wddx -xpm -yaz"
Comment 98 Denny Reeh 2010-03-06 22:25:40 UTC
For new readers of the ticket, can you give a summary, if this php 5.3 is ready for usage (of course not in productive environment)?
Comment 99 Travis Hansen 2010-03-16 07:35:30 UTC
Is there anything more we can do to get this closer to inclusion?

It's starting to trickle into other distros and it's needed to develop using emerging technologies such as Doctrine 2, ZF 2, etc.  I'd really like to start some new projects using these tools :)

We're 9 months out from release, let's get together and really put some effort behind this and get it into portage.  I'm willing to donate time, code, public development repo, etc to make this happen.
Comment 100 Vladimir Tsisaruk 2010-03-16 11:22:48 UTC
I've created a new repo hosted on github http://github.com/GiDiS/gentoo-php-rewrite
It's based on modified Christian Hoffman's repo.

Last changes:
1. added php-5.3.2.ebuild
2. added xchache-1.3.0.ebuild
3. added FPM sapi (see bug #208155)
4. updated SUHOSIN patch to 0.9.9.1 version for php 5.3.2
5. returned legacy USE flags (pcre reflection spl) for temporary fix bug #298205. They don't affect any actions, only listed in IUSE.
Comment 101 Cameron Brunner 2010-03-16 11:56:30 UTC
oh how i would love for this to be finalized already

again as others have previously stated i am getting the libpq mess, building now though without any other issues, just had to compile with --nodeps and force it to ignore postgres's libraries, otherwise all seems to be good currently with the latest builds
Comment 102 Steffen 'j0inty' Stollfuß 2010-03-16 12:37:25 UTC
Hi,

I tested the new git stuff and ran directly into 2 heavy problems.

1. The postgresql stuff that already was disscused here
2. The Oracle SDK Header Files will not found

checking for Oracle (OCI8) support... yes, shared
checking PHP version... 5.3.2, ok
checking size of long int... 8
checking checking if we're on a 64-bit platform... yes
checking Oracle Instant Client directory... /usr/lib/oracle/11.2.0.0.2-r1/client/lib
checking Oracle Instant Client SDK header directory... configure: error: Oracle Instant Client SDK header files not found

regards
j0inty
Comment 103 Brandon Turner 2010-03-16 13:35:29 UTC
I haven't been following this bug as closely as I should, but I created my own overlay for PHP 5.3 a while back.  It works for me, but I'm happy to add my work to the git repository if it works for a few others.

Instructions to add my overlay via layman are here:
http://www.brandonturner.net/blog/gentoo-overlay/

The actual overlay (subversion) is here:
http://svn.bltweb.net/repos/public/gentoo_overlay/

Everything in the overlay is ~x86, ~amd64.
Comment 104 Vladimir Tsisaruk 2010-03-16 13:59:35 UTC
(In reply to comment #102)
> Hi,
> 
> I tested the new git stuff and ran directly into 2 heavy problems.
> 
> 1. The postgresql stuff that already was disscused here
> 2. The Oracle SDK Header Files will not found
> 

1. Can you show your  qlist -I dev-db/ ? 
2. Fixed
Comment 105 Steffen 'j0inty' Stollfuß 2010-03-16 15:01:41 UTC
Hi,

here is the output from qlist as you want to have.

arko ext # qlist -v -I dev-db/
dev-db/freetds-0.82-r2
dev-db/hsqldb-1.8.0.10
dev-db/libdbi-0.8.3
dev-db/libdbi-drivers-0.8.3-r1
dev-db/libiodbc-3.52.7
dev-db/mysql-5.1.44-r1
dev-db/mysql-init-scripts-1.2
dev-db/oracle-instantclient-basic-11.2.0.0.2-r1
dev-db/oracle-instantclient-sqlplus-11.2.0.0.2
dev-db/pgadmin3-1.10.1
dev-db/postgresql-base-8.4.2-r1
dev-db/postgresql-server-8.4.2-r1
dev-db/qt-unixODBC-3.3.8b
dev-db/sqlite-2.8.16-r4
dev-db/sqlite-3.6.23
dev-db/unixODBC-2.2.12
dev-db/virtuoso-odbc-6.1.0
dev-db/virtuoso-server-6.1.0

regards
j0inty
Comment 106 Travis Hansen 2010-03-16 17:06:08 UTC
This is great!  Let's base off of the github repo (simply because it seems most popular these days).  I'll be in #gentoo-php for collaboration.

I just tried it and it installed for me with apache/cgi/cli.

Sounds like we have problems with...

1. Postgres support
2. phar use flag gives me sandbox violations

Maybe lets open some bugs on github for these types of issues until we get it all cleaned up?
Comment 107 Ole Markus With (RETIRED) gentoo-dev 2010-03-16 18:42:38 UTC
(In reply to comment #106)
> Sounds like we have problems with...
> 
> 2. phar use flag gives me sandbox violations

Phar works for me. PHP compiled with the following useflags

USE="apache2 berkdb bzip2 cli crypt ctype curl doc filter gd gdbm hash iconv ipv6 json libedit (multilib) mysql mysqli nls pcntl pcre pdo phar posix reflection session simplexml spell spl sqlite ssl tidy tokenizer truetype unicode xml xsl zlib (-adabas) -bcmath (-birdstep) -calendar -cdb -cgi -cjk -concurrentmodphp -curlwrappers -db2 (-dbmaker) -debug -embed (-empress) (-empress-bcs) -enchant (-esoob) -exif -fileinfo (-firebird) -flatfile -fpm (-frontbase) -ftp -gd-external -gmp -imap -inifile -interbase -intl -iodbc -kerberos -kolab -ldap -ldap-sasl -mcve -mssql -mysqlnd -oci8 -oci8-instant-client -odbc -pic -postgres -qdbm -readline -recode -sapdb -sharedext -sharedmem -snmp -soap -sockets (-solid) -sqlite3 -suhosin (-sybase-ct) -sysvipc -threads -wddx -xmlreader -xmlrpc -xmlwriter -xpm -yaz -zip"

Comment 108 Travis Hansen 2010-03-16 18:49:53 UTC
(In reply to comment #107)
> (In reply to comment #106)
> > Sounds like we have problems with...
> > 
> > 2. phar use flag gives me sandbox violations
> 
> Phar works for me. PHP compiled with the following useflags
> 
> USE="apache2 berkdb bzip2 cli crypt ctype curl doc filter gd gdbm hash iconv
> ipv6 json libedit (multilib) mysql mysqli nls pcntl pcre pdo phar posix
> reflection session simplexml spell spl sqlite ssl tidy tokenizer truetype
> unicode xml xsl zlib (-adabas) -bcmath (-birdstep) -calendar -cdb -cgi -cjk
> -concurrentmodphp -curlwrappers -db2 (-dbmaker) -debug -embed (-empress)
> (-empress-bcs) -enchant (-esoob) -exif -fileinfo (-firebird) -flatfile -fpm
> (-frontbase) -ftp -gd-external -gmp -imap -inifile -interbase -intl -iodbc
> -kerberos -kolab -ldap -ldap-sasl -mcve -mssql -mysqlnd -oci8
> -oci8-instant-client -odbc -pic -postgres -qdbm -readline -recode -sapdb
> -sharedext -sharedmem -snmp -soap -sockets (-solid) -sqlite3 -suhosin
> (-sybase-ct) -sysvipc -threads -wddx -xmlreader -xmlrpc -xmlwriter -xpm -yaz
> -zip"
> 

Are you using overlay from github?
Do you have PEAR installed?
Comment 109 Ole Markus With (RETIRED) gentoo-dev 2010-03-16 18:54:58 UTC
(In reply to comment #108)
> (In reply to comment #107)
> > (In reply to comment #106)
> > > Sounds like we have problems with...
> > > 
> > > 2. phar use flag gives me sandbox violations
> > 
> > Phar works for me. PHP compiled with the following useflags
> > 
> > USE="apache2 berkdb bzip2 cli crypt ctype curl doc filter gd gdbm hash iconv
> > ipv6 json libedit (multilib) mysql mysqli nls pcntl pcre pdo phar posix
> > reflection session simplexml spell spl sqlite ssl tidy tokenizer truetype
> > unicode xml xsl zlib (-adabas) -bcmath (-birdstep) -calendar -cdb -cgi -cjk
> > -concurrentmodphp -curlwrappers -db2 (-dbmaker) -debug -embed (-empress)
> > (-empress-bcs) -enchant (-esoob) -exif -fileinfo (-firebird) -flatfile -fpm
> > (-frontbase) -ftp -gd-external -gmp -imap -inifile -interbase -intl -iodbc
> > -kerberos -kolab -ldap -ldap-sasl -mcve -mssql -mysqlnd -oci8
> > -oci8-instant-client -odbc -pic -postgres -qdbm -readline -recode -sapdb
> > -sharedext -sharedmem -snmp -soap -sockets (-solid) -sqlite3 -suhosin
> > (-sybase-ct) -sysvipc -threads -wddx -xmlreader -xmlrpc -xmlwriter -xpm -yaz
> > -zip"
> > 
> 
> Are you using overlay from github?
> Do you have PEAR installed?
> 

Yes, I use the 5.3.2 ebuild from github and I have pear installed (1.9.0)
Comment 110 Vladimir Tsisaruk 2010-03-17 05:46:33 UTC
(In reply to comment #109)
> > > > 2. phar use flag gives me sandbox violations

I'm can't reproduce your bug. Can you show error message, emerge --info and use flags ?
 >> The Phar extension is built into PHP as of PHP version 5.3.0 (http://ru2.php.net/manual/en/phar.installation.php)
Phar doesn't depends from PEAR

(In reply to comment #106)
> 1. Postgres support
Try update from repo, may be i fix it
Comment 111 Travis Hansen 2010-03-17 06:23:43 UTC
(In reply to comment #110)
> (In reply to comment #109)
> > > > > 2. phar use flag gives me sandbox violations
> 
> I'm can't reproduce your bug. Can you show error message, emerge --info and use
> flags ?

Full build log here:
http://paste.pocoo.org/show/190599/

>  >> The Phar extension is built into PHP as of PHP version 5.3.0
> (http://ru2.php.net/manual/en/phar.installation.php)
> Phar doesn't depends from PEAR

Yeah, one of the earlier builds was tampering with pear files, this one appears to be fine...

> 
> (In reply to comment #106)
> > 1. Postgres support
> Try update from repo, may be i fix it
> 

Great, I'll try it and report!
Comment 112 Travis Hansen 2010-03-17 06:27:06 UTC
Wrong paste.  Full log is here

http://paste.pocoo.org/show/190599/

(In reply to comment #111)
> (In reply to comment #110)
> > (In reply to comment #109)
> > > > > > 2. phar use flag gives me sandbox violations
> > 
> > I'm can't reproduce your bug. Can you show error message, emerge --info and use
> > flags ?
> 
> Full build log here:
> http://paste.pocoo.org/show/190599/
> 
> >  >> The Phar extension is built into PHP as of PHP version 5.3.0
> > (http://ru2.php.net/manual/en/phar.installation.php)
> > Phar doesn't depends from PEAR
> 
> Yeah, one of the earlier builds was tampering with pear files, this one appears
> to be fine...
> 
> > 
> > (In reply to comment #106)
> > > 1. Postgres support
> > Try update from repo, may be i fix it
> > 
> 
> Great, I'll try it and report!
> 

Comment 113 Vladimir Tsisaruk 2010-03-17 12:25:19 UTC
(In reply to comment #112)
> Wrong paste.  Full log is here
> 
> http://paste.pocoo.org/show/190599/
> 

All troubles in sharedmem USE flag, all work without it.
Comment 114 Vladimir Tsisaruk 2010-03-17 13:18:48 UTC
(In reply to comment #113)
> (In reply to comment #112)
> > Wrong paste.  Full log is here
> > 
> > http://paste.pocoo.org/show/190599/
> > 
> 
> All troubles in sharedmem USE flag, all work without it.
> 

Fixed)
Comment 115 Max Nokhrin 2010-03-17 15:28:12 UTC
Thanks for all the effort guys! I personally greatly appreciate it!
Comment 116 Travis Hansen 2010-03-17 16:44:44 UTC
The update worked great for me!

Also, I tried with +postgres last night and it worked as well (although it pulled in some weird versions and removed eselect-postgres).  I don't normally use postgres but I can say it compiled fine.

I'm using mysqlng and now I have to explicitly add

mysql.default_port = 3306

in my php.ini which was not the case before.  It appears in the documentation for mysql_connect that if nothing in set in ini then it should default to that.  Any ideas why it wouldn't be?

Other than that do we have any outstanding issues?

Should be block pecl-enchant like pecl-fileinfo?
Are there other pecl-* packages that should be blocked with 5.3?

(In reply to comment #114)
> (In reply to comment #113)
> > (In reply to comment #112)
> > > Wrong paste.  Full log is here
> > > 
> > > http://paste.pocoo.org/show/190599/
> > > 
> > 
> > All troubles in sharedmem USE flag, all work without it.
> > 
> 
> Fixed)
> 

Comment 117 Ole Markus With (RETIRED) gentoo-dev 2010-03-17 17:19:52 UTC
(In reply to comment #116)
> I'm using mysqlng and now I have to explicitly add
> 
> mysql.default_port = 3306
> 
> in my php.ini which was not the case before.  It appears in the documentation
> for mysql_connect that if nothing in set in ini then it should default to that.
>  Any ideas why it wouldn't be?
> 

Mine is unset like below and it works like before (defaults to 3306):
mysql.default_port =


The documentation says something like this:
The default TCP port number to use when connecting to the database server if no other port is specified. If no default is specified, the port will be obtained from the MYSQL_TCP_PORT environment variable, the mysql-tcp entry in /etc/services or the compile-time MYSQL_PORT constant, in that order. Win32 will only use the MYSQL_PORT constant.

My /etc/services does not have a mysql-tcp entry, so I guess the compile-time MYSQL_PORT constant must be set.
Comment 118 Travis Hansen 2010-03-17 18:12:28 UTC
You have +mysqlng?
Are you connecting using 'localhost' or '127.0.0.1'?

(In reply to comment #117)
> (In reply to comment #116)
> > I'm using mysqlng and now I have to explicitly add
> > 
> > mysql.default_port = 3306
> > 
> > in my php.ini which was not the case before.  It appears in the documentation
> > for mysql_connect that if nothing in set in ini then it should default to that.
> >  Any ideas why it wouldn't be?
> > 
> 
> Mine is unset like below and it works like before (defaults to 3306):
> mysql.default_port =
> 
> 
> The documentation says something like this:
> The default TCP port number to use when connecting to the database server if no
> other port is specified. If no default is specified, the port will be obtained
> from the MYSQL_TCP_PORT environment variable, the mysql-tcp entry in
> /etc/services or the compile-time MYSQL_PORT constant, in that order. Win32
> will only use the MYSQL_PORT constant.
> 
> My /etc/services does not have a mysql-tcp entry, so I guess the compile-time
> MYSQL_PORT constant must be set.
> 

Comment 119 Ole Markus With (RETIRED) gentoo-dev 2010-03-17 19:50:17 UTC
(In reply to comment #118)
> You have +mysqlng?
> Are you connecting using 'localhost' or '127.0.0.1'?
> 

You are quite right. I forgot that there was a useflag for that now. 
With mysqlnd on, it seems like it is using sockets when I use localhost, while for remote hosts it fails if you do not specify port explicitly.
Comment 120 Vladimir Tsisaruk 2010-03-18 09:07:03 UTC
(In reply to comment #116)
> The update worked great for me!
> 
> Also, I tried with +postgres last night and it worked as well (although it
> pulled in some weird versions and removed eselect-postgres).  I don't normally
> use postgres but I can say it compiled fine.
> 
> I'm using mysqlng and now I have to explicitly add
> 
> mysql.default_port = 3306
> 
> in my php.ini which was not the case before.  It appears in the documentation
> for mysql_connect that if nothing in set in ini then it should default to that.
>  Any ideas why it wouldn't be?
> 
> Other than that do we have any outstanding issues?
> 
> Should be block pecl-enchant like pecl-fileinfo?
> Are there other pecl-* packages that should be blocked with 5.3?
> 

1. Added mysql.default_port value to php.ini 

(In reply to comment #118)
Mysqlng forces using socket only if host is "localhost":

if (host_len == sizeof("localhost") - 1 && !strncasecmp(host, "localhost", host_len)) {
....
     unix_socket=TRUE;

2. Fixed mistake in enchant RDEPEND
3. You can register on github and leave your issues there
Comment 121 Steffen 'j0inty' Stollfuß 2010-03-18 13:05:28 UTC
Hi,

I tested the git http://github.com/GiDiS/gentoo-php-rewrite repository and it still fails with the postgres stuff.

Another problem is that it won't compile with oci8 support.

/var/tmp/portage/dev-lang/php-5.3.2/work/php-5.3.2/ext/oci8/oci8.c: In function 'php_oci_create_spool':
/var/tmp/portage/dev-lang/php-5.3.2/work/php-5.3.2/ext/oci8/oci8.c:2678: error: 'OCI_ATTR_SPOOL_AUTH' undeclared (first use in this function)
/var/tmp/portage/dev-lang/php-5.3.2/work/php-5.3.2/ext/oci8/oci8.c:2678: error: (Each undeclared identifier is reported only once
/var/tmp/portage/dev-lang/php-5.3.2/work/php-5.3.2/ext/oci8/oci8.c:2678: error: for each function it appears in.)
make: *** [ext/oci8/oci8.lo] Error 1

I will atach the complete build.log and emerge --info, too.

regards
j0inty


-------------- emerge --info ------------------
arko dev-php5 # emerge --info
Portage 2.2_rc67 (default/linux/amd64/10.0/desktop, gcc-4.4.3, glibc-2.11-r1, 2.6.32-tuxonice-r5 x86_64)
=================================================================
System uname: Linux-2.6.32-tuxonice-r5-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7700_@_2.40GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 16 Mar 2010 13:15:04 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p2
dev-java/java-config: 2.1.10
dev-lang/python:     2.5.4-r2, 2.6.4-r1, 3.1.1-r1
dev-python/pycrypto: 2.1.0
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.0-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.0-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1
sys-devel/gcc:       4.4.3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.33
ABI="amd64"
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
ACCEPT_PROPERTIES="*"
ALSA_CARDS="hda-intel intel8x0m"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol"
ANT_HOME="/usr/share/ant"
APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias"
APACHE2_MPMS="prefork"
ARCH="amd64"
ASFLAGS_x86="--32"
AUTOCLEAN="yes"
CAMERAS="canon casio_qv kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica konica_qm150 samsung"
CBUILD="x86_64-pc-linux-gnu"
CCACHE_SIZE="2G"
CDEFINE_amd64="__x86_64__"
CDEFINE_x86="__i386__"
CFLAGS="-mtune=core2 -march=core2 -mssse3 -O2 -pipe"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLISION_IGNORE="/lib/modules"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CPATH="${IPPROOT}/include"
CVS_RSH="ssh"
CXXFLAGS="-mtune=core2 -march=core2 -mssse3 -O2 -pipe"
C_INCLUDE_PATH="/usr/lib64/oracle/11.2.0.0.2/client/include"
DCCC_PATH="/usr/lib64/distcc/bin"
DEFAULT_ABI="amd64"
DISPLAY=":0.0"
DISTCC_LOG=""
DISTCC_VERBOSE="0"
DISTDIR="/home/portage/distfiles"
EDITOR="/bin/nano"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="--ask --verbose --nospinner"
EMERGE_WARNING_DELAY="10"
EPREFIX=""
EROOT="/"
FEATURES="assume-digests ccache distlocks fixpackages metadata-transfer news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
FETCHCOMMAND="/usr/bin/wget -t 5 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}" -4"
GAMES_DATADIR="/mnt/games"
GAMES_DATADIR_BASE="/mnt"
GAMES_PREFIX_OPT="/mnt/games"
GDK_USE_XFT="1"
GDM_LANG="de_DE.UTF-8"
GENERATION="2"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo/ ftp://ftp.tu-clausthal.de/pub/gentoo/"
HG="/usr/bin/hg"
HOME="/root"
INFODIR="/usr/GNUstep/System/Library/Documentation/info:/usr/GNUstep/Local/Library/Documentation/info"
INFOPATH="/usr/share/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.20.1/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.4.3/info:/usr/GNUstep/System/Library/Documentation/info:/usr/GNUstep/Local/Library/Documentation/info"
INPUT_DEVICES="mouse keyboard evdev synaptics wacom"
IPPROOT="/opt/intel/Compiler/11.1/056/ipp/"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVACC_HOME="/usr/share/javacc/"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KDM_LANG="de_DE.UTF-8"
KERNEL="linux"
KERNEL_DIR="/usr/src/linux"
LANG="de_DE.UTF-8"
LANGUAGE="de_DE:de:en_GB:en"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LC_ADDRESS="de_DE.UTF-8"
LC_ALL="de_DE.UTF-8"
LC_COLLATE="de_DE.UTF-8"
LC_CTYPE="de_DE.UTF-8"
LC_IDENTIFICATION="de_DE.UTF-8"
LC_MEASUREMENT="de_DE.UTF-8"
LC_MESSAGES="de_DE.UTF-8"
LC_MONETARY="de_DE.UTF-8"
LC_NAME="de_DE.UTF-8"
LC_NUMERIC="de_DE.UTF-8"
LC_PAPER="de_DE.UTF-8"
LC_TELEPHONE="de_DE.UTF-8"
LC_TIME="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,-z,now -Wl,--as-needed -Wl,--sort-common"
LDFLAGS_x86="-m elf_i386"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe.sh %s"
LIB="${IPPROOT}/lib"
LIBDIR_amd64="lib64"
LIBDIR_amd64_fbsd="lib64"
LIBDIR_ppc="lib32"
LIBDIR_ppc64="lib64"
LIBDIR_sparc32="lib32"
LIBDIR_sparc64="lib64"
LIBDIR_x86="lib32"
LIBDIR_x86_fbsd="lib32"
LIBRARY_PATH="${IPPROOT}/lib"
LINGUAS="de en_GB"
LOGNAME="root"
LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.pdf=00;32:*.ps=00;32:*.txt=00;32:*.patch=00;32:*.diff=00;32:*.log=00;32:*.tex=00;32:*.doc=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:"
MAKEOPTS="-j4"
MANPATH="/etc/java-config-2/current-system-vm/man:/usr/local/share/man:/usr/share/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.20.1/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.4.3/man:/opt/blackdown-jdk-1.4.2.03/man:/etc/java-config/system-vm/man/:/usr/lib64/php5/man/:/usr/share/postgresql-8.4/man:/opt/opera/share/man:/usr/GNUstep/System/Library/Documentation/man:/usr/GNUstep/Local/Library/Documentation/man"
MULTILIB_ABIS="amd64 x86"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage)"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
NETBEANS_MODULES="apisupport harness ide java nb websvccommon cnd dlight enterprise ergonomics mobility php profiler"
NLSPATH="${IPPROOT}/lib/locale/%l_%t/%N"
OLDPWD="/usr/local/portage-overlay-php5"
OPENGL_PROFILE="nvidia"
ORACLE_HOME="/usr/lib64/oracle/11.2.0.0.2/client"
PAGER="/usr/bin/less"
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.4.3:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/GNUstep/System/Tools:/usr/GNUstep/Local/Tools"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="ppc x86-openbsd ppc-openbsd ppc64 x86-winnt x86-fbsd ppc-aix alpha arm x86-freebsd s390 amd64 arm-linux x86-macos x64-openbsd ia64-hpux hppa x86-netbsd amd64-linux ia64-linux x86 sparc-solaris x64-freebsd sparc64-solaris x86-linux x64-macos sparc m68k-mint ia64 mips ppc-macos x86-interix hppa-hpux amd64-fbsd x64-solaris mips-irix m68k sh x86-solaris sparc-fbsd"
PORTAGE_BINHOST_CHUNKSIZE="3000"
PORTAGE_BIN_PATH="/usr/lib64/portage/bin"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="log warn error"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="save_summary echo"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_PYM_PATH="/usr/lib64/portage/pym"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_RSYNC_RETRIES="3"
PORTAGE_SYNC_STALE="30"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/pro-audio /var/lib/layman/jokey /var/lib/layman/dev-zero /var/lib/layman/sunrise /var/lib/layman/dotnet /var/lib/layman/pentoo /usr/local/portage/gfxboot_overlay /usr/local/portage /usr/local/portage-overlay-php5"
PROFILE_ONLY_VARIABLES="ARCH ELIBC KERNEL USERLAND"
PWD="/usr/local/portage-overlay-php5/dev-php5"
PYTHONDONTWRITEBYTECODE="1"
RESUMECOMMAND="/usr/bin/wget -c -t 5 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}" -4"
ROOT="/"
ROOTPATH="/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.4.3:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/GNUstep/System/Tools:/usr/GNUstep/Local/Tools"
RPMDIR="/usr/portage/rpm"
RUBYOPT="-rauto_gem"
RUBY_TARGETS="ruby18"
SHELL="/bin/bash"
SHLVL="1"
SSH_AGENT_PID="4056"
SSH_AUTH_SOCK="/tmp/ssh-YIfuHL4055/agent.4055"
STAGE1_USE="multilib nptl nptlonly unicode"
SUPPORT_ALSA="1"
SYMLINK_LIB="yes"
SYNC="rsync://127.0.0.1:8898/gentoo-portage"
TERM="xterm"
TNS_ADMIN="/etc/oracle/"
USE="X X509 a52 aac aalib acl acpi activefilter adns adplug alsa amd64 amr amrnb amrwb apache2 arts atm audiofile autoipd avahi bash-completion berkdb bidi bluetooth branding bzip2 cairo caps cdaudio cdda cddax cddb cdio cdr chardet chm cisco cli consolekit cpudetection cracklib crypt css ctype cups curl custom-optimization cvs cxx dbus dc1394 device-mapper dhcp dhcpcd dialup dirac divx djvu dri dts dv dvb dvd dvdr dvdread eap-tls ebook eds emboss encode evo exif ext2 ext3 faac faad fam fat ffmpeg firefox firewire flac foomaticdb fortran gcrypt gdbm ggi gif gimpprint glitz gmp gnome gnutls gphoto2 gpm gsm gstreamer gtk gtk2 h323 hal hald iconv icu id3tag idn ieee1394 imagemagick intl ipv6 java javascript jfs jpeg jpeg2k kde kerberos lame laptop ldap libcaca libedit libgcrypt libnotify libsamplerate libv4l2 lm_sensors log4j loop-aes lua lzma lzo mad matroska mikmod mjpeg mmx mng modplug modules mozdevelop mp2 mp3 mp4 mpeg mplayer mppe-mppc mssql mtp mudflap multilib musepack mysql mysqli nat ncurses netmeeting network networkmanager nfs nls nntp nptl nptlonly nsplugin nss ntfs nvidia oci8-instant-client odbc ofa ogg openal openexr opengl openmp openvpn optimized-qmake oss pam pch pcre pdf perforce perl php png portaudio postgres ppds pppd python qt qt-webkit qt3support qt4 quicktime quotas radius rdp readline realmedia reflection reiserfs restrict-javascript rss rtsp ruby samba sasl schroedinger sdl sdl-image semantic-desktop session sid sip smi sndfile socks5 source speex spell spl sql sqlite srt sse sse2 sse3 ssh ssl ssse3 startup-notification stream subtitles subversion svcd svg swat sysfs syslog system-sqlite taglib tcl tcpd theora threads thunar tiff timidity tk tls truetype tta udev unicode usb v4l v4l2 vcd vcdinfo vdpau vim-syntax vnc vorbis wav wavpack wifi wma wmf wmp x264 xattr xcb xcomposite xforms xfs xft xine xinerama xinetd xml xml2 xorg xosd xprint xscreensaver xulrunner xv xvid xvmc zip zlib zvbi" ALSA_CARDS="hda-intel intel8x0m" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CAMERAS="canon casio_qv kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica konica_qm150 samsung" ELIBC="glibc" INPUT_DEVICES="mouse keyboard evdev synaptics wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en_GB" NETBEANS_MODULES="apisupport harness ide java nb websvccommon cnd dlight enterprise ergonomics mobility php profiler" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia vesa v4l" 
USER="root"
USERLAND="GNU"
USE_EXPAND="ALSA_CARDS ALSA_PCM_PLUGINS APACHE2_MODULES APACHE2_MPMS CAMERAS CROSSCOMPILE_OPTS DVB_CARDS ELIBC FCDSL_CARDS FOO2ZJS_DEVICES FRITZCAPI_CARDS INPUT_DEVICES KERNEL LCD_DEVICES LINGUAS LIRC_DEVICES MISDN_CARDS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS RUBY_TARGETS SANE_BACKENDS USERLAND VIDEO_CARDS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_ORDER="env:pkg:conf:defaults:pkginternal:env.d"
VBOX_APP_HOME="/usr/lib64/virtualbox-ose"
VIDEO_CARDS="nvidia vesa v4l"
VMHANDLE="blackdown-jdk-1.4.2"
XAUTHORITY="/root/.xauthal82AI"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share"
_="/usr/bin/emerge"
bash4="4.1.2(2)-release"

arko dev-php5 # qlist -vI dev-db/
dev-db/freetds-0.82-r2
dev-db/hsqldb-1.8.0.10
dev-db/libdbi-0.8.3
dev-db/libdbi-drivers-0.8.3-r1
dev-db/libiodbc-3.52.7
dev-db/mysql-5.1.44-r1
dev-db/mysql-init-scripts-1.2
dev-db/oracle-instantclient-basic-11.2.0.0.2-r1
dev-db/oracle-instantclient-sqlplus-11.2.0.0.2
dev-db/pgadmin3-1.10.1
dev-db/postgresql-base-8.4.2-r1
dev-db/postgresql-server-8.4.2-r1
dev-db/qt-unixODBC-3.3.8b
dev-db/sqlite-2.8.16-r4
dev-db/sqlite-3.6.23
dev-db/unixODBC-2.2.12
dev-db/virtuoso-odbc-6.1.0
dev-db/virtuoso-server-6.1.0
Comment 122 Steffen 'j0inty' Stollfuß 2010-03-18 13:07:29 UTC
Created attachment 224109 [details]
php-5.3.2 build.log
Comment 123 oc666 2010-03-18 13:33:13 UTC
I recommended to put php 5.3 into portage as hard masked, cause some machines doesn't open to layers and reposities, but can install hard mark packages.
Comment 124 Ole Markus With (RETIRED) gentoo-dev 2010-03-18 14:00:00 UTC
(In reply to comment #123)
> I recommended to put php 5.3 into portage as hard masked, cause some machines
> doesn't open to layers and reposities, but can install hard mark packages.
> 

I agree. I think the ebuild has led to a level of maturity that surpasses many other hardmasked packages in portage. It would hopefully increase the number of testers too.
Comment 125 Travis Hansen 2010-03-18 15:38:43 UTC
(In reply to comment #120)
> (In reply to comment #116)
> > The update worked great for me!
> > 
> > Also, I tried with +postgres last night and it worked as well (although it
> > pulled in some weird versions and removed eselect-postgres).  I don't normally
> > use postgres but I can say it compiled fine.
> > 
> > I'm using mysqlng and now I have to explicitly add
> > 
> > mysql.default_port = 3306
> > 
> > in my php.ini which was not the case before.  It appears in the documentation
> > for mysql_connect that if nothing in set in ini then it should default to that.
> >  Any ideas why it wouldn't be?
> > 
> > Other than that do we have any outstanding issues?
> > 
> > Should be block pecl-enchant like pecl-fileinfo?
> > Are there other pecl-* packages that should be blocked with 5.3?
> > 
> 
> 1. Added mysql.default_port value to php.ini 

I don't think this is the best solution as the defined MYSQL_PORT should still work.

I created http://github.com/GiDiS/gentoo-php-rewrite/issues#issue/1
to track it further.

> 
> (In reply to comment #118)
> Mysqlng forces using socket only if host is "localhost":
> 
> if (host_len == sizeof("localhost") - 1 && !strncasecmp(host, "localhost",
> host_len)) {
> ....
>      unix_socket=TRUE;

This is true with just plain mysql as well.

> 
> 2. Fixed mistake in enchant RDEPEND

Great!

> 3. You can register on github and leave your issues there

See above :)

> 

Comment 126 Vladimir Tsisaruk 2010-03-19 05:30:41 UTC
(In reply to comment #122)
> Created an attachment (id=224109) [details]
> php-5.3.2 build.log
> 

I can't install oracle-instant-client from gentoo repo, because there are no souces on oracle site for this version. Аnd I bump version to 11.2.0.1.0 for amd64 and puts it into my repo.

With this ebuild php merged right on my system
Comment 127 Alexander Petrenas 2010-03-19 10:20:17 UTC
Created attachment 224221 [details]
ebuild that really works for PHP 5.3.2

After a day of struggle, I've finally guessed the numbers of the autoconf for PHP 5.3.2:

REMEBER!!!! You need to add the following strings to your /etc/portage/package.mask (create the file if it doesn't exists!) (This combination really works!)

>=sys-devel/autoconf-2.62
>=sys-devel/automake-1.9.6

After you add those strings you have to
emerge autoconf automake m4
Comment 128 Alexander Petrenas 2010-03-19 10:21:52 UTC
Created attachment 224223 [details]
This goes to eclass folder in the portage

After a day of struggle, I've finally guessed the numbers of the autoconf & automake for PHP 5.3.2:

REMEBER!!!! You need to add the following strings to your /etc/portage/package.mask (create the file if it doesn't exists!) (This combination really works!)

>=sys-devel/autoconf-2.62
>=sys-devel/automake-1.9.6

After you add those strings you have to
emerge autoconf automake m4
Comment 129 Patrick Lauer gentoo-dev 2010-03-19 10:38:36 UTC
(In reply to comment #128)
> REMEBER!!!! You need to add the following strings to your
> /etc/portage/package.mask (create the file if it doesn't exists!) (This
> combination really works!)
> 
> >=sys-devel/autoconf-2.62
> >=sys-devel/automake-1.9.6
> 
add to ebuild:

WANT_AUTOCONF="latest"
WANT_AUTOMAKE=1.9

inherit autotools

(actually, add the autotools eclass to the list of inherited eclasses)
That should automatically select the right versions at all times
inherit au
Comment 130 Alexander Petrenas 2010-03-19 11:29:41 UTC
(In reply to comment #129)
> (In reply to comment #128)
> > REMEBER!!!! You need to add the following strings to your
> 
> add to ebuild:
> 
> WANT_AUTOCONF="latest"
> WANT_AUTOMAKE=1.9
> 
> inherit autotools
> 
> (actually, add the autotools eclass to the list of inherited eclasses)
> That should automatically select the right versions at all times
> inherit au
> 
Unfortunately, that is not an option (I've just tried that =)) (I'm a newbie in Linux - so I cannot explain why it's happening, but it is really wierd that some program named "yes" starts to use 100% CPU, even after "Ctrl+C" is pressed) - it gives the error that was in the first place in my case:

 *   Disabling sqlite
cat: confdefs.h: No such file or directory
./configure: line 389: ac_fn_c_try_run: command not found
./configure: line 405: 5: Bad file descriptor
./configure: line 406: 6: Bad file descriptor
cat: confdefs.h: No such file or directory
./configure: line 445: ac_fn_c_try_run: command not found
cat: confdefs.h: No such file or directory
./configure: line 445: ac_fn_c_try_run: command not found
cat: confdefs.h: No such file or directory
./configure: line 445: ac_fn_c_try_run: command not found
cat: confdefs.h: No such file or directory
./configure: line 445: ac_fn_c_try_run: command not found
cat: confdefs.h: No such file or directory
./configure: line 445: ac_fn_c_try_run: command not found
cat: confdefs.h: No such file or directory
./configure: line 445: ac_fn_c_try_run: command not found
cat: confdefs.h: No such file or directory
./configure: line 445: ac_fn_c_try_run: command not found
cat: confdefs.h: No such file or directory
./configure: line 445: ac_fn_c_try_run: command not found
./configure: line 468: 5: Bad file descriptor
./configure: line 469: 6: Bad file descriptor
./configure: line 471: 5: Bad file descriptor

And so on for eternity (it hangs on some moment, if you pskill that "yes" program on another console the errors begin to "slide" again and so on...)
Comment 131 Alexander Petrenas 2010-03-19 11:41:24 UTC
By the way, IMHO, this problem can be relatively easy solved (or at least somehow "removed")(by those of you, who know how to put their code into main-portage) by adding to the wrapper scripts (autoconf-wrapper.sh and automake-wrapper.sh) an option to have not only WANT_AUTOCONF=2.1 or WANT_AUTOCONF=2.5 but also something like WANT_AUTOCONF='2.62' and WANT_AUTOMAKE='1.9.6', after that the PHP ebuild will work perfectly fine with this values in the header! And everyone who want PHP 5.3.2 will just have to "emerge -u system". It may be a Microsoftic way of dealing with problems, by hey, this is Gentoo - the only Linux that really works - we should have that PHP first! =))))
Comment 132 Ole Markus With (RETIRED) gentoo-dev 2010-03-19 19:43:59 UTC
Why create this new ebuild instead of working on the one the rest of us have been working on? Does it have any specific advantage over the one in the above-mentioned git repos?
Comment 133 Vladimir Tsisaruk 2010-03-22 07:30:09 UTC
(In reply to comment #132)
> Why create this new ebuild instead of working on the one the rest of us have
> been working on? Does it have any specific advantage over the one in the
> above-mentioned git repos?
> 

This ebuild based on  Frankiz DANIEL php-5.3.1.ebuild.  May be Alexander don't read all discussion thread and don't see my comment #100? I'm try to make announce in my filelist

PS. Mysql default port bug fixed, try it on your system
Comment 134 Vladimir Tsisaruk 2010-03-22 07:36:29 UTC
Created attachment 224633 [details]
For new ebuilds see http://github.com/GiDiS/gentoo-php-rewrite

I've created a new repo hosted on github
http://github.com/GiDiS/gentoo-php-rewrite
It's based on modified Christian Hoffman's repo.

And new versions of ebuilds will be publish there
Comment 135 Frankiz DANIEL 2010-03-22 20:55:13 UTC
(In reply to comment #134)
> Created an attachment (id=224633) [details]
> For new ebuilds see http://github.com/GiDiS/gentoo-php-rewrite
> 
> I've created a new repo hosted on github
> http://github.com/GiDiS/gentoo-php-rewrite
> It's based on modified Christian Hoffman's repo.
> 
> And new versions of ebuilds will be publish there
> 

Small contribution to the very welcomed effort:
http://perso.musedev.org/repositories.xml

The xml needed to make layman works with this git repository


Comment 136 Anthony Parsons 2010-03-24 18:51:28 UTC
Hi, here's a small fix for /etc/init.d/php-fpm as I was getting an error "kill: 252: Illegal option -S"

--- /var/db/repos/gentoo-php-rewrite/dev-lang/php/files/php-fpm.init	2010-03-24 13:53:46.078807328 +0000
+++ /etc/init.d/php-fpm	2010-03-24 18:46:18.508797877 +0000
@@ -21,6 +21,6 @@
 
 reload() {
         ebegin "Restart gracefully PHP FastCGI server"
-        kill -SIGUSR2 `cat /var/run/php-fpm.pid` &>/dev/null
+        start-stop-daemon -s SIGUSR2 --pidfile=/var/run/php-fpm.pid
         eend $?
 }
Comment 137 Vladimir Tsisaruk 2010-03-25 04:30:21 UTC
(In reply to comment #136)
> Hi, here's a small fix for /etc/init.d/php-fpm as I was getting an error "kill:
> 252: Illegal option -S"
> 
> --- /var/db/repos/gentoo-php-rewrite/dev-lang/php/files/php-fpm.init   
> 2010-03-24 13:53:46.078807328 +0000
> +++ /etc/init.d/php-fpm 2010-03-24 18:46:18.508797877 +0000
> @@ -21,6 +21,6 @@
> 
>  reload() {
>          ebegin "Restart gracefully PHP FastCGI server"
> -        kill -SIGUSR2 `cat /var/run/php-fpm.pid` &>/dev/null
> +        start-stop-daemon -s SIGUSR2 --pidfile=/var/run/php-fpm.pid
>          eend $?
>  }
> 

Fixed
Comment 138 Ben de Groot (RETIRED) gentoo-dev 2010-03-26 22:57:37 UTC
Comment on attachment 224633 [details]
For new ebuilds see http://github.com/GiDiS/gentoo-php-rewrite

file upload is not meant for such notices
Comment 139 Anthony Parsons 2010-03-27 19:56:52 UTC
Another bug I've found with FPM: It's not being treated as a SAPI correctly. The php ebuild will appear to install fine, but any ini files created by extension ebuilds won't show up in the /etc/php/fpm-php5/ directory.

From what I can understand of the gentoo ebuilds there's a variable "PHPSAPILIST" that affects this stuff, but I haven't looked further than that.
Comment 140 Gordon Pettey 2010-03-27 20:28:09 UTC
mysqlnd only works for me if mysql is built with USE="embedded". Can anyone confirm this?
Comment 141 Travis Hansen 2010-03-27 21:33:03 UTC
I do not have +embedded on mysql and mysqlng works fine for me.

dev-db/mysql-5.1.45-r1  USE="cluster community extraengine perl ssl -big-tables -debug -embedded -latin1 -max-idx-128 -minimal -pbxt -profiling (-selinux) -static -test"

Are you using the overlay from github?
Comment 142 Gordon Pettey 2010-03-27 21:46:54 UTC
(In reply to comment #141)
> I do not have +embedded on mysql and mysqlnD works fine for me.
> 
> dev-db/mysql-5.1.45-r1  USE="cluster community extraengine perl ssl -big-tables
> -debug -embedded -latin1 -max-idx-128 -minimal -pbxt -profiling (-selinux)
> -static -test"
> 
> Are you using the overlay from github?
> 

I'm using the 5.3.1 ebuild and eclass from here, modified a bit for FPM, which I posted in #208155. The stuff on the git posted in this bug doesn't work either way.
Comment 143 Matti Bickel (RETIRED) gentoo-dev 2010-03-27 21:52:06 UTC
(In reply to comment #140)
> mysqlnd only works for me if mysql is built with USE="embedded". Can anyone
> confirm this?

Can you please open a seperate bug, blocking this one?
It's much easier to keep track this way.

And you're stating the github overlay doesn't work for you - if it's a reproducible failure i'd like to know about it. Can you open another bug for that?

TIA.
Comment 144 Matthew Walker 2010-03-29 15:00:28 UTC
(In reply to comment #135)
> Small contribution to the very welcomed effort:
> http://perso.musedev.org/repositories.xml
> 
> The xml needed to make layman works with this git repository

This worked great for me. Thanks for providing it. Installing 5.3.2 from the overlay now, hoping it works. :)
Comment 145 oc666 2010-04-01 22:40:45 UTC
This bug is take too much time. 5.3 version is 9 months old (30/4/09 according to wikipedia).
Members of community, please vote for this bug. Most of the Gentoo servers are LAM*P* servers (reminder: the P is for PHP), so I think it's urgent to move the wheels of this distribution. 
Comment 146 oc666 2010-04-01 22:41:05 UTC
This bug is take too much time. 5.3 version is 9 months old (30/6/09 according to wikipedia).
Members of community, please vote for this bug. Most of the Gentoo servers are LAM*P* servers (reminder: the P is for PHP), so I think it's urgent to move the wheels of this distribution. 
Comment 147 Frankiz DANIEL 2010-04-02 01:58:22 UTC
(In reply to comment #146)
> This bug is take too much time. 5.3 version is 9 months old (30/6/09 according
> to wikipedia).
> Members of community, please vote for this bug. Most of the Gentoo servers are
> LAM*P* servers (reminder: the P is for PHP), so I think it's urgent to move the
> wheels of this distribution. 
> 

Please go ahead, move the wheels, we are looking...
complaining without actually doing anything make me think of people pressing klaxxon in traffic jam, i mean traffic jam would be almost bearable without those people right?
Comment 148 oc666 2010-04-02 06:55:31 UTC
(In reply to comment #147)
> Please go ahead, move the wheels, we are looking...
> complaining without actually doing anything make me think of people pressing
> klaxxon in traffic jam, i mean traffic jam would be almost bearable without
> those people right?

Please open a page in the wiki (or some other source) that we can participate in developing or testing (links to instructions would be great). Also, this would give us some info about the process and where is it stand.
Comment 149 Travis Hansen 2010-04-02 07:03:18 UTC
Pull down the overlay mentioned in comment 100 and test it out.  Let us know of your findings!  We're getting close to getting something in portage proper.

(In reply to comment #148)
> (In reply to comment #147)
> > Please go ahead, move the wheels, we are looking...
> > complaining without actually doing anything make me think of people pressing
> > klaxxon in traffic jam, i mean traffic jam would be almost bearable without
> > those people right?
> 
> Please open a page in the wiki (or some other source) that we can participate
> in developing or testing (links to instructions would be great). Also, this
> would give us some info about the process and where is it stand.
> 

Comment 150 Ole Markus With (RETIRED) gentoo-dev 2010-04-02 07:35:58 UTC
(In reply to comment #148)
> (In reply to comment #147)
> > Please go ahead, move the wheels, we are looking...
> > complaining without actually doing anything make me think of people pressing
> > klaxxon in traffic jam, i mean traffic jam would be almost bearable without
> > those people right?
> 
> Please open a page in the wiki (or some other source) that we can participate
> in developing or testing (links to instructions would be great). Also, this
> would give us some info about the process and where is it stand.
> 

http://overlays.gentoo.org/proj/php/wiki/KnownIssues
Comment 151 Paulo M 2010-04-02 10:05:47 UTC
I've have successfully compiled PHP 5.3.2 using the ebuild on http://github.com/GiDiS/gentoo-php-rewrite with the following flags:

apache2 bzip2 cli crypt ctype curl gd hash iconv ipv6 json mysql mysqli mysqlnd nls pdo posix readline session simplexml sockets sqlite ssl tokenizer truetype unicode xml xmlreader xmlrpc xmlwriter xsl zip zlib -adabas -bcmath -berkdb -birdstep -calendar -cdb -cgi -cjk -concurrentmodphp -curlwrappers -db2 -dbmaker -debug -doc -embed -empress -empress-bcs -enchant -esoob -exif -fileinfo -filter -firebird -flatfile -fpm -frontbase -ftp -gd-external -gdbm -gmp -imap -inifile -interbase -intl -iodbc -kerberos -kolab -ldap -ldap-sasl -libedit -mssql -oci8 -oci8-instant-client -odbc -pcntl -phar -pic -postgres -qdbm -recode -sapdb -sharedext -sharedmem -snmp -soap -solid -spell -sqlite3 -suhosin -sybase-ct -sysvipc -threads -tidy -wddx -xpm


Would like to add a couple of notes:

1) php.ini doesn't set a default date.timezone and PHP5.3 is pickier with not having one, issuing warnings:

"PHP Warning:  Unknown: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'UTC' for 'UTC/0.0/no DST' instead in Unknown on line 0"

There's a presentation somewhere by Rasmus explaining why this trivial warning is expensive for PHP (performance wise). He also says to set it at:
http://twitter.com/rasmus/status/11133524600

Not sure if we should add the default UTC to php.ini, just thought I should mention it.


2) The other thing is that the dev-php5/pecl-apc stable (3.0.19) still fails to build after installing this ebuild. Installing the pecl-apc-3.1.3_p1 works fine. Should I create a ticket for this?



Portage 2.1.7.17 (default/linux/x86/10.0, gcc-4.3.4, glibc-2.10.1-r1, 2.6.16-xenU i686)
=================================================================
System uname: Linux-2.6.16-xenU-i686-Intel-R-_Xeon-R-_CPU_E5410_@_2.33GHz-with-gentoo-1.12.13
Timestamp of tree: Tue, 02 Mar 2010 13:45:01 +0000
app-shells/bash:     4.0_p35
dev-lang/python:     2.5.4-r4, 2.6.4
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.63-r1
sys-devel/automake:  1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe -mno-tls-direct-seg-refs"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe -mno-tls-direct-seg-refs"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://mirrors.rit.edu/gentoo/ ftp://chi-10g-1-mirror.fastsoft.net/pub/linux/gentoo/gentoo-distfiles/ ftp://gentoo.mirrors.tds.net/gentoo ftp://gentoo.netnitco.net/pub/mirrors/gentoo/source/ ftp://mirror.csclub.uwaterloo.ca/gentoo-distfiles/"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="acl apache2 berkdb bzip2 cli cracklib crypt cups cxx dri fortran gdbm iconv ipv6 modules mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl ssl sysfs tcpd truetype unicode vhosts x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authz_host auth_basic authn_file authz_user dir alias deflate headers log_config logio mime rewrite filter expires" APACHE2_MPMS="prefork" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa via vmware voodoo" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 152 Ole Markus With (RETIRED) gentoo-dev 2010-04-02 11:20:56 UTC
In my opinion, both of these should probably be their own issues. This bug should become more a metabug that is blocked by everything that needs to be done in order to release 5.3. If more requests/bugs/concerns are added to this bug it is impossible to keep track of everything needing to be done.
Comment 153 Matti Bickel (RETIRED) gentoo-dev 2010-04-02 11:24:50 UTC
(In reply to comment #151)
> I've have successfully compiled PHP 5.3.2 using the ebuild on
> http://github.com/GiDiS/gentoo-php-rewrite with the following flags:

Thanks for testing!

> 1) php.ini doesn't set a default date.timezone and PHP5.3 is pickier with not
> having one, issuing warnings:

Yeah, i've run into this, too. I've opened a new Section on http://overlays.gentoo.org/proj/php/wiki/KnownIssues to track such issues.

> 2) The other thing is that the dev-php5/pecl-apc stable (3.0.19) still fails to
> build after installing this ebuild. Installing the pecl-apc-3.1.3_p1 works
> fine. Should I create a ticket for this?

Yes, please. I've opened a tracker bug for bugs like this. It's bug #312775. Please make your bug block that one, so we can keep track. This bug already got crowded enough, so i opened a new one just to track the issues.
Comment 154 Paulo M 2010-04-02 12:00:53 UTC
I opened the ticket for APC: http://bugs.gentoo.org/show_bug.cgi?id=312785 and made it as blocker of the 312775 tracker one as requested.

Btw, I'm no gentoo developer, but I'm happy to keep helping on the testing if instructions are given on how and what to test for.
Comment 155 Anthony Parsons 2010-04-02 12:50:25 UTC
If anyone's interested I went and made/bumped a few pecl ebuilds, feel free to add them to the overlay if you want: http://cgit.specialops.ath.cx/~ant/ebuilds/tree/dev-php5

Also I've marked bug 301159 to block this one.
Comment 156 Gordon Pettey 2010-04-03 23:12:59 UTC
(In reply to comment #139)
> Another bug I've found with FPM: It's not being treated as a SAPI correctly.
> The php ebuild will appear to install fine, but any ini files created by
> extension ebuilds won't show up in the /etc/php/fpm-php5/ directory.
> 
> From what I can understand of the gentoo ebuilds there's a variable
> "PHPSAPILIST" that affects this stuff, but I haven't looked further than that.
> 

Just add fpm to the PHPSAPILIST on line 48 of php-ext-base-r1.eclass.
Comment 157 Gordon Pettey 2010-04-03 23:33:06 UTC
(In reply to comment #156)
> (In reply to comment #139)
> > Another bug I've found with FPM: It's not being treated as a SAPI correctly.
> > The php ebuild will appear to install fine, but any ini files created by
> > extension ebuilds won't show up in the /etc/php/fpm-php5/ directory.
> > 
> > From what I can understand of the gentoo ebuilds there's a variable
> > "PHPSAPILIST" that affects this stuff, but I haven't looked further than that.
> > 
> 
> Just add fpm to the PHPSAPILIST on line 48 of php-ext-base-r1.eclass.
> 

Note that Portage only reads eclass from the same tree as the package being merged, so you'll need to either edit the eclass in /usr/portage (not recommended) or cp -R /usr/portage/dev-php5/pecl-apc /opt/gentoo-php-rewrite/dev-php5 (or wherever the overlay is, and whatever extension you want).
Comment 158 Ole Markus With (RETIRED) gentoo-dev 2010-04-04 05:59:37 UTC
(In reply to comment #157)
> (In reply to comment #156)
> > (In reply to comment #139)
> > > Another bug I've found with FPM: It's not being treated as a SAPI correctly.
> > > The php ebuild will appear to install fine, but any ini files created by
> > > extension ebuilds won't show up in the /etc/php/fpm-php5/ directory.
> > > 
> > > From what I can understand of the gentoo ebuilds there's a variable
> > > "PHPSAPILIST" that affects this stuff, but I haven't looked further than that.
> > > 
> > 
> > Just add fpm to the PHPSAPILIST on line 48 of php-ext-base-r1.eclass.
> > 
> 
> Note that Portage only reads eclass from the same tree as the package being
> merged, so you'll need to either edit the eclass in /usr/portage (not
> recommended) or cp -R /usr/portage/dev-php5/pecl-apc
> /opt/gentoo-php-rewrite/dev-php5 (or wherever the overlay is, and whatever
> extension you want).
> 

eclass with updated PHPSAPILIST added to the overlay. At least I git the fpm-php5/ext dir. Please test.
Comment 159 Anthony Parsons 2010-04-04 16:23:59 UTC
(In reply to comment #158)
> 
> eclass with updated PHPSAPILIST added to the overlay. At least I git the
> fpm-php5/ext dir. Please test.
> 

That fixed it for me.

I had to mess with a few things locally to make the extensions build using that instead of the main tree's eclass, but that's only a temporary problem.
Comment 160 Anthony Parsons 2010-04-09 20:26:53 UTC
Since doing a sync of the overlay today I'm now getting inundated with these errors and can no longer install php 5.3:


paludis@1270844538: [WARNING e.ebuild.metadata.unusable] No usable metadata for 'dev-lang/php-5.3.9999::gentoo-php-rewrite'
paludis@1270844538: [WARNING e.ebuild.cache_failure] In thread ID '13662':
  ... In program paludis -q php:
  ... When performing query action from command line:
  ... When handling query 'php':
  ... When parsing user package dep spec 'php':
  ... When parsing generic package dep spec 'php':
  ... When disambiguating package name 'php':
  ... When finding all versions in some arbitrary order from packages matching */php with filter all matches filtered through all matches filtered through packages matching */*:
  ... When loading entries for virtuals repository:
  ... When finding all versions sorted from packages matching dev-lang/php with filter all matches filtered through supports action install:
  ... When generating metadata for ID 'dev-lang/php-5.3.201004081030::gentoo-php-rewrite':
  ... When running an ebuild command on 'dev-lang/php-5.3.201004081030::gentoo-php-rewrite':
  ... Could not generate cache for 'dev-lang/php-5.3.201004081030::gentoo-php-rewrite' stderr says '/var/paludis/repos/php-rewrite/dev-lang/php/php-5.3.201004081030.ebuild: line 18: dirname: No such file or directory
/var/paludis/repos/php-rewrite/dev-lang/php/php-5.3.201004081030.ebuild: line 18: /files/eblits.eclass: No such file or directory
/var/paludis/repos/php-rewrite/dev-lang/php/php-5.3.201004081030.ebuild: line 26: eblit-pkg: No such file or directory
/var/paludis/repos/php-rewrite/dev-lang/php/php-5.3.201004081030.ebuild: line 27: eblit-php-metadata: No such file or directory
/var/paludis/repos/php-rewrite/dev-lang/php/php-5.3.201004081030.ebuild: line 29: eblit-pkg: No such file or directory
/var/paludis/repos/php-rewrite/dev-lang/php/php-5.3.201004081030.ebuild: line 37: eblit-pkg: No such file or directory

!!! ERROR in dev-lang/php-5.3.201004081030::gentoo-php-rewrite:
!!! In ebuild_load_ebuild at line 377
!!! Error sourcing ebuild '/var/paludis/repos/php-rewrite/dev-lang/php/php-5.3.201004081030.ebuild'

!!! Call stack:
!!!    * ebuild_load_ebuild (/usr/libexec/paludis/ebuild.bash:377)
!!!    * ebuild_main (/usr/libexec/paludis/ebuild.bash:622)
!!!    * main (/usr/libexec/paludis/ebuild.bash:675)

diefunc: making ebuild PID 13805 exit with error
die trap: exiting with error.
'
Comment 161 Ole Markus With (RETIRED) gentoo-dev 2010-04-09 21:17:10 UTC
It still works here. I noticed that the masking is a bit odd for the snapshot ebuilds, but that shouldn't affect anything. Could you check if it works with portage instead of paludis?

I'll fix the snapshot ebuilds meanwhile.
Comment 162 Anthony Parsons 2010-04-10 01:27:42 UTC
If I run "emerge -pv php" it doesn't seem to find anything wrong.
Comment 163 Ole Markus With (RETIRED) gentoo-dev 2010-04-10 06:47:55 UTC
The snapshot ebuilds are a bit funny, as I said. E.g the metadata for 5.3.9999 becomes invalid, as paludis says, because there is a new tarball almost every time you try to emerge. 

I pushed a branch called nosnapshots that does not contain those snapshot ebuilds. You can see if you have more luck with that one.

The ebuilds in this branch also depends on the eblits eclass. Let me know if something is broken. Didn't test the ebuilds in this branch.
Comment 164 Anthony Parsons 2010-04-10 12:16:20 UTC
That branch works too.

Just to clarify, I was getting that error for every php-5.3 ebuild, not just the .9999 one.
Comment 165 Ole Markus With (RETIRED) gentoo-dev 2010-04-10 17:39:26 UTC
(In reply to comment #164)
> That branch works too.
> 
> Just to clarify, I was getting that error for every php-5.3 ebuild, not just
> the .9999 one.
> 

Yes. I know. I think it is because if one ebuild is wrong in the manifest, paludis invalidates the entire package. That is why the error is only with paludis.
Comment 166 theRemix 2010-04-21 07:20:27 UTC
i'v successfully compiled php-5.3.2 from overlay http://github.com/GiDiS/gentoo-php-rewrite
I get a Segmentation Fault when running php though.

# emerge -pv php
[ebuild   R   ] dev-lang/php-5.3.2  USE="berkdb bzip2 cgi cli crypt curl exif filter ftp gd gdbm iconv mysql mysqli nls pdo readline session simplexml sqlite sqlite3 ssl threads tidy unicode xml xmlreader zip zlib (-adabas) -apache2 -bcmath (-birdstep) -calendar -cdb -cjk -concurrentmodphp -ctype -curlwrappers -db2 (-dbmaker) -debug -doc -embed (-empress) (-empress-bcs) -enchant (-esoob) -fileinfo (-firebird) -flatfile (-frontbase) -gd-external -gmp -hash -imap -inifile -interbase -intl -iodbc -ipv6 -json -kerberos -kolab -ldap -ldap-sasl -libedit -mssql -mysqlnd -oci8 -oci8-instant-client -odbc -pcntl -phar -pic -posix -postgres -qdbm -recode -sapdb -sharedext -sharedmem -snmp -soap -sockets (-solid) -spell -suhosin (-sybase-ct) -sysvipc -tokenizer -truetype -wddx -xmlrpc -xmlwriter -xpm -xsl"

# qlist -I dev-db/
dev-db/mysql
dev-db/mysql-init-scripts
dev-db/sqlite
dev-db/sqlite

  

# /usr/bin/php
Segmentation Fault

# /usr/bin/php-cgi
Segmentation Fault



# emerge --info
Portage 2.1.8.3 (default/linux/amd64/10.0, gcc-4.3.4, glibc-2.9_p20081201-r2, 2.6.32.1-rscloud x86_64)
=================================================================
System uname: Linux-2.6.32.1-rscloud-x86_64-Quad-Core_AMD_Opteron-tm-_Processor_2374_HE-with-gentoo-1.12.13
Timestamp of tree: Fri, 16 Apr 2010 15:00:01 +0000
app-shells/bash:     4.0_p28
dev-lang/python:     2.6.2-r1
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.63-r1
sys-devel/automake:  1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O3 -march=barcelona -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O3 -march=barcelona -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo http://gentoo.cites.uiuc.edu/pub/gentoo/"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/gentoo-php-rewrite"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl amd64 apache2 bash-completion berkdb bzip2 cli cracklib crypt curl cxx dri fastcgi fortran gdbm gpm iconv mmx modules mudflap multilib mysql ncurses nls nptl nptlonly openmp pam pcre perl php pppd python readline reflection session spl sqlite sqlite3 sse sse2 ssl sysfs tcpd unicode xml xmlreader xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa via vmware voodoo" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 167 Cameron Brunner 2010-04-21 07:59:18 UTC
try -O2 with gcc for a start

(In reply to comment #166)
> i'v successfully compiled php-5.3.2 from overlay
> http://github.com/GiDiS/gentoo-php-rewrite
> I get a Segmentation Fault when running php though.
> 
> # emerge -pv php
> [ebuild   R   ] dev-lang/php-5.3.2  USE="berkdb bzip2 cgi cli crypt curl exif
> filter ftp gd gdbm iconv mysql mysqli nls pdo readline session simplexml sqlite
> sqlite3 ssl threads tidy unicode xml xmlreader zip zlib (-adabas) -apache2
> -bcmath (-birdstep) -calendar -cdb -cjk -concurrentmodphp -ctype -curlwrappers
> -db2 (-dbmaker) -debug -doc -embed (-empress) (-empress-bcs) -enchant (-esoob)
> -fileinfo (-firebird) -flatfile (-frontbase) -gd-external -gmp -hash -imap
> -inifile -interbase -intl -iodbc -ipv6 -json -kerberos -kolab -ldap -ldap-sasl
> -libedit -mssql -mysqlnd -oci8 -oci8-instant-client -odbc -pcntl -phar -pic
> -posix -postgres -qdbm -recode -sapdb -sharedext -sharedmem -snmp -soap
> -sockets (-solid) -spell -suhosin (-sybase-ct) -sysvipc -tokenizer -truetype
> -wddx -xmlrpc -xmlwriter -xpm -xsl"
> 
> # qlist -I dev-db/
> dev-db/mysql
> dev-db/mysql-init-scripts
> dev-db/sqlite
> dev-db/sqlite
> 
> 
> 
> # /usr/bin/php
> Segmentation Fault
> 
> # /usr/bin/php-cgi
> Segmentation Fault
> 
> 
> 
> # emerge --info
> Portage 2.1.8.3 (default/linux/amd64/10.0, gcc-4.3.4, glibc-2.9_p20081201-r2,
> 2.6.32.1-rscloud x86_64)
> =================================================================
> System uname:
> Linux-2.6.32.1-rscloud-x86_64-Quad-Core_AMD_Opteron-tm-_Processor_2374_HE-with-gentoo-1.12.13
> Timestamp of tree: Fri, 16 Apr 2010 15:00:01 +0000
> app-shells/bash:     4.0_p28
> dev-lang/python:     2.6.2-r1
> sys-apps/baselayout: 1.12.13
> sys-apps/sandbox:    1.6-r2
> sys-devel/autoconf:  2.63-r1
> sys-devel/automake:  1.10.2
> sys-devel/binutils:  2.18-r3
> sys-devel/gcc:       4.3.4
> sys-devel/gcc-config: 1.4.1
> sys-devel/libtool:   2.2.6b
> virtual/os-headers:  2.6.27-r2
> ACCEPT_KEYWORDS="amd64"
> ACCEPT_LICENSE="* -@EULA"
> CBUILD="x86_64-pc-linux-gnu"
> CFLAGS="-O3 -march=barcelona -pipe -fomit-frame-pointer"
> CHOST="x86_64-pc-linux-gnu"
> CONFIG_PROTECT="/etc"
> CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf
> /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/
> /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo
> /etc/udev/rules.d"
> CXXFLAGS="-O3 -march=barcelona -pipe -fomit-frame-pointer"
> DISTDIR="/usr/portage/distfiles"
> FEATURES="assume-digests distlocks fixpackages news parallel-fetch
> protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
> GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo
> http://gentoo.cites.uiuc.edu/pub/gentoo/"
> LDFLAGS="-Wl,-O1"
> MAKEOPTS="-j4"
> PKGDIR="/usr/portage/packages"
> PORTAGE_CONFIGROOT="/"
> PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
> --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles
> --exclude=/local --exclude=/packages"
> PORTAGE_TMPDIR="/var/tmp"
> PORTDIR="/usr/portage"
> PORTDIR_OVERLAY="/usr/local/portage/gentoo-php-rewrite"
> SYNC="rsync://rsync.gentoo.org/gentoo-portage"
> USE="acl amd64 apache2 bash-completion berkdb bzip2 cli cracklib crypt curl cxx
> dri fastcgi fortran gdbm gpm iconv mmx modules mudflap multilib mysql ncurses
> nls nptl nptlonly openmp pam pcre perl php pppd python readline reflection
> session spl sqlite sqlite3 sse sse2 ssl sysfs tcpd unicode xml xmlreader xorg
> zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci
> emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m
> maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
> ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file
> hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug
> rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic
> authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm
> authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache
> dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache
> filter headers include info log_config logio mem_cache mime mime_magic
> negotiation rewrite setenvif speling status unique_id userdir usertrack
> vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux"
> LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses
> text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel
> mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa via vmware
> voodoo" 
> Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG,
> LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS,
> PORTAGE_RSYNC_EXTRA_OPTS
> 
Comment 168 Ole Markus With (RETIRED) gentoo-dev 2010-04-21 08:31:53 UTC
Some testing done by people in #gentoo-php show that USE="pdo threads" lead to segfault (test by running php -v). Try disabling either pdo or threads and see if that helps.
Comment 169 theRemix 2010-04-21 10:23:36 UTC
(In reply to comment #168)
> Some testing done by people in #gentoo-php show that USE="pdo threads" lead to
> segfault (test by running php -v). Try disabling either pdo or threads and see
> if that helps.
> 

i disabled -pdo only and it works!
thanks!
Comment 170 Vladimir Tsisaruk 2010-04-21 11:16:37 UTC
(In reply to comment #169)
> (In reply to comment #168)
> > Some testing done by people in #gentoo-php show that USE="pdo threads" lead to
> > segfault (test by running php -v). Try disabling either pdo or threads and see
> > if that helps.
> > 
> 
> i disabled -pdo only and it works!
> thanks!
> 

Or you  may enable +mysqlnd, if you need pdo
This bug fixed in svn? and will be fixed in next php release
Comment 171 Martin H. 2010-04-26 08:05:54 UTC
I just checked out the overlay from http://github.com/GiDiS/gentoo-php-rewrite and now I get this:

# emerge -av =dev-lang/php-5.3.2

These are the packages that would be merged, in order:

Calculating dependencies |

!!! Invalid or corrupt dependency specification:

missing space by parenthesis: ')]'

('ebuild', '/', 'dev-lang/php-5.3.2', 'merge')

app-admin/php-toolkit >=dev-libs/libpcre-7.9[unicode] adabas? ( >=dev-db/unixODBC-1.8.13 ) apache2? ( !threads? ( www-servers/apache[-threads] ) ) berkdb? ( =sys-libs/db-4* ) birdstep? ( >=dev-db/unixODBC-1.8.13 ) bzip2? ( app-arch/bzip2 ) cdb? ( || ( dev-db/cdb dev-db/tinycdb ) ) cjk? ( !gd? ( !gd-external? ( >=media-libs/jpeg-6b media-libs/libpng sys-libs/zlib ) ) ) crypt? ( >=dev-libs/libmcrypt-2.4 ) curl? ( >=net-misc/curl-7.10.5 ) db2? ( >=dev-db/unixODBC-1.8.13 ) dbmaker? ( >=dev-db/unixODBC-1.8.13 ) empress? ( >=dev-db/unixODBC-1.8.13 ) empress-bcs? ( >=dev-db/unixODBC-1.8.13 ) enchant? ( app-text/enchant ) esoob? ( >=dev-db/unixODBC-1.8.13 ) exif? ( !gd? ( !gd-external? ( >=media-libs/jpeg-6b media-libs/libpng sys-libs/zlib ) ) ) firebird? ( dev-db/firebird ) gd? ( >=media-libs/jpeg-6b media-libs/libpng sys-libs/zlib ) gd-external? ( media-libs/gd ) gdbm? ( >=sys-libs/gdbm-1.8.0 ) gmp? ( >=dev-libs/gmp-4.1.2 ) iconv? ( virtual/libiconv ) imap? ( virtual/imap-c-client[ssl=] virtual/imap-c-client[kolab=] ) intl? ( dev-libs/icu ) iodbc? ( dev-db/libiodbc >=dev-db/unixODBC-1.8.13 ) kerberos? ( virtual/krb5 ) kolab? ( >=net-libs/c-client-2004g-r1 ) ldap? ( !oci8? ( >=net-nds/openldap-1.2.11 ) ) ldap-sasl? ( !oci8? ( dev-libs/cyrus-sasl >=net-nds/openldap-1.2.11 ) ) libedit? ( || ( sys-freebsd/freebsd-lib dev-libs/libedit ) ) mbstring? ( dev-libs/oniguruma ) mcve? ( >=dev-libs/openssl-0.9.7 ) mssql? ( dev-db/freetds ) !mysqlnd? ( mysql? ( virtual/mysql ) mysqli? ( >=virtual/mysql-4.1 ) ) nls? ( sys-devel/gettext ) oci8-instant-client? ( dev-db/oracle-instantclient-basic ) odbc? ( >=dev-db/unixODBC-1.8.13 ) postgres? ( || ( >=dev-db/postgresql-base-7.1[threads=] ( || ( <dev-db/libpq-8 >=dev-db/libpq-8[threads=] ) ) ) ) qdbm? ( dev-db/qdbm ) readline? ( sys-libs/readline ) recode? ( app-text/recode ) sapdb? ( >=dev-db/unixODBC-1.8.13 ) sharedmem? ( dev-libs/mm ) simplexml? ( >=dev-libs/libxml2-2.6.8 ) snmp? ( >=net-analyzer/net-snmp-5.2 ) soap? ( >=dev-libs/libxml2-2.6.8 ) solid? ( >=dev-db/unixODBC-1.8.13 ) spell? ( >=app-text/aspell-0.50 ) sqlite? ( =dev-db/sqlite-2* pdo? ( =dev-db/sqlite-3* ) ) sqlite3? ( =dev-db/sqlite-3* ) ssl? ( >=dev-libs/openssl-0.9.7 ) tidy? ( app-text/htmltidy ) truetype? ( =media-libs/freetype-2* >=media-libs/t1lib-5.0.0 !gd? ( !gd-external? ( >=media-libs/jpeg-6b media-libs/libpng sys-libs/zlib ) ) ) unicode? ( dev-libs/oniguruma ) wddx? ( >=dev-libs/libxml2-2.6.8 ) xml? ( >=dev-libs/libxml2-2.6.8 ) xmlrpc? ( >=dev-libs/libxml2-2.6.8 virtual/libiconv ) xmlreader? ( >=dev-libs/libxml2-2.6.8 ) xmlwriter? ( >=dev-libs/libxml2-2.6.8 ) xpm? ( x11-libs/libXpm >=media-libs/jpeg-6b media-libs/libpng sys-libs/zlib ) xsl? ( dev-libs/libxslt >=dev-libs/libxml2-2.6.8 ) zip? ( sys-libs/zlib ) zlib? ( sys-libs/zlib ) virtual/mta truetype? ( || ( =dev-lang/php-5.3.2[gd] =dev-lang/php-5.3.2[gd-external] ) ) cjk? ( || ( =dev-lang/php-5.3.2[gd] =dev-lang/php-5.3.2[gd-external] ) ) exif? ( || ( =dev-lang/php-5.3.2[gd] =dev-lang/php-5.3.2[gd-external] ) ) xpm? ( || ( =dev-lang/php-5.3.2[gd] =dev-lang/php-5.3.2[gd-external] )] ) gd? ( =dev-lang/php-5.3.2[zlib,-gd-external] ) gd-external? ( =dev-lang/php-5.3.2[-gd] ) simplexml? ( =dev-lang/php-5.3.2[xml] ) soap? ( =dev-lang/php-5.3.2[xml] ) wddx? ( =dev-lang/php-5.3.2[xml] ) xmlrpc? ( || ( =dev-lang/php-5.3.2[xml] =dev-lang/php-5.3.2[iconv] ) ) xmlreader? ( =dev-lang/php-5.3.2[xml] ) xsl? ( =dev-lang/php-5.3.2[xml] ) ldap-sasl? ( =dev-lang/php-5.3.2[ldap,-oci8] ) mcve? ( =dev-lang/php-5.3.2[ssl] ) adabas? ( =dev-lang/php-5.3.2[odbc] ) birdstep? ( =dev-lang/php-5.3.2[odbc] ) dbmaker? ( =dev-lang/php-5.3.2[odbc] ) empress-bcs? ( =dev-lang/php-5.3.2[empress] ) empress? ( =dev-lang/php-5.3.2[odbc] ) esoob? ( =dev-lang/php-5.3.2[odbc] ) db2? ( =dev-lang/php-5.3.2[odbc] ) iodbc? ( =dev-lang/php-5.3.2[odbc] ) sapdb? ( =dev-lang/php-5.3.2[odbc] ) solid? ( =dev-lang/php-5.3.2[odbc] ) kolab? ( =dev-lang/php-5.3.2[imap] ) phar? ( =dev-lang/php-5.3.2[hash] ) mysqlnd? ( || ( =dev-lang/php-5.3.2[mysql] =dev-lang/php-5.3.2[mysqli] =dev-lang/php-5.3.2[pdo] ) ) oci8? ( =dev-lang/php-5.3.2[-oci8-instant-client,-ldap-sasl] ) oci8-instant-client? ( =dev-lang/php-5.3.2[-oci8] ) qdbm? ( =dev-lang/php-5.3.2[-gdbm] ) readline? ( =dev-lang/php-5.3.2[-libedit] ) recode? ( =dev-lang/php-5.3.2[-imap,-mysql,-mysqli] ) firebird? ( =dev-lang/php-5.3.2[-interbase] ) sharedmem? ( =dev-lang/php-5.3.2[-threads] ) !cli? ( !cgi? ( !apache2? ( !embed? ( !fpm? ( =dev-lang/php-5.3.2[cli] ) ) ) ) ) enchant? ( !dev-php5/pecl-enchant ) fileinfo? ( !dev-php5/pecl-fileinfo ) filter? ( !dev-php5/pecl-filter ) json? ( !dev-php5/pecl-json ) phar? ( !dev-php5/pecl-phar ) zip? ( !dev-php5/pecl-zip ) suhosin? ( =dev-lang/php-5.3.2[unicode] ) apache2? ( =www-servers/apache-2* )

This package can not be installed. Please notify the 'dev-
lang/php-5.3.2' package maintainer about this problem.
... done!


# emerge --info
Portage 2.1.8.3 (default/linux/amd64/10.0/server, gcc-4.3.4, glibc-2.10.1-r1, 2.6.31.4-rt14 x86_64)
=================================================================                                  
System uname: Linux-2.6.31.4-rt14-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9550_@_2.83GHz-with-gentoo-1.12.13
Timestamp of tree: Mon, 26 Apr 2010 07:30:01 +0000                                                      
app-shells/bash:     4.0_p37
dev-lang/python:     2.6.4-r1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.10.3, 1.11.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       3.4.6-r2, 4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -mmmx -msse -march=nocona"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -mmmx -msse -march=nocona"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="de en"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/gentoo-php-rewrite"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl amd64 apache2 bcmath berkdb bzip2 cgi cli cracklib crypt ctype cxx dri encode enscript exif extensions ffmpeg flac fortran ftp gd gdbm geoip gpm hash highlight iconv id3tag imap ipv6 irc ithreads javascript jpeg json ldap logrotate mad mmx mod_irc mod_muc mod_pubsub mod_python modules mudflap multilib multiuser mysql mysqli ncurses network-cron nls nptl nptlonly offensive ogg openmp pam pcntl pcre pdf perl png posix pppd python readline reflection rrdcgi rrdtool ruby sensord session snmp sockets spell spl sqlite sse sse2 sse3 sse4 ssl ssse3 subversion suexec svg sysfs tcl tcpd threads tiff tools truetype unicode vhosts wavpack web webinterface xml xorg xtended zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias proxy proxy_http" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 172 Ole Markus With (RETIRED) gentoo-dev 2010-04-26 08:13:28 UTC
Please use the official overlay using layman:
layman -a php-experimental

The github overlay is only useful if you want experimental stuff like live builds and FPM. Support for that one is better done in github since it is highly unofficial.
Comment 173 Martin H. 2010-04-26 10:37:51 UTC
php-experimental doesn't work either. first it had a digest verification problem (I had to correct the digest with the ebuild command). now it fails to download the patch set:

>>> Downloading 'http://github.com/GiDiS/gentoo-php-rewrite/raw/nofpm/files/php-patchset-5.3.2-r0.tar.bz2'
--2010-04-26 12:36:00--  http://github.com/GiDiS/gentoo-php-rewrite/raw/nofpm/files/php-patchset-5.3.2-r0.tar.bz2
Resolving github.com... 207.97.227.239
Connecting to github.com|207.97.227.239|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2010-04-26 12:36:00 ERROR 404: Not Found.

!!! Couldn't download 'php-patchset-5.3.2-r0.tar.bz2'. Aborting.
 * Fetch failed for 'dev-lang/php-5.3.2', Log file:
 *  '/var/tmp/portage/dev-lang/php-5.3.2/temp/build.log'
Comment 174 Ole Markus With (RETIRED) gentoo-dev 2010-04-26 10:49:40 UTC
You can get the patchset here: http://folk.ntnu.no/olemarku/php-patchset-5.3.2-r0.tar.bz2

Hopefully that one should match the digest.

Alternatively you can switch github branch to "testing", which is a branch of php-experimental with some additional fixes that has not been added to php-experimental. If that one is failing, send me a mail and I will fix it asap.
Comment 175 Robin Bankhead 2010-04-26 19:50:32 UTC
How long has it been in php-experimental? No one mentioned this here...
Comment 176 Ole Markus With (RETIRED) gentoo-dev 2010-04-27 08:07:31 UTC
(In reply to comment #175)
> How long has it been in php-experimental? No one mentioned this here...
> 

Maybe a week or so. The ebuild is not quite complete, but it works.
Comment 177 Ole Markus With (RETIRED) gentoo-dev 2010-05-03 19:45:30 UTC
FYI: The php-experimental overlay has been renamed to just php. So to get the overlay with php 5.3 run layman -a php

If you already added php-experimental, you should remove it first by running layman -d php-experimental
Comment 178 Matti Bickel (RETIRED) gentoo-dev 2010-05-27 23:21:58 UTC
dev-lang/php-5.3.2 has entered the tree in package.mask.

If you want to test it unmask it locally and emerge php.
There are still open bugs, please check our bugzilla before opening a new one.

Note: please DO NOT report failures on this bug. It's too crowded for the php team to keep track of everything. Instead open a new report and make it block bug #312775, so we can keep track of everything related to the php-5.3 migration.

Thank you all for your help and special appreciation to gidis and olemarkus who pretty much wrote and validated half the patches we use and helped the php team enormously!
Comment 179 Nikolay 2010-06-15 19:53:19 UTC
In file included from /var/tmp/portage/dev-lang/php-5.3.2/work/php-5.3.2/ext/odbc/php_odbc.c:37:
/var/tmp/portage/dev-lang/php-5.3.2/work/php-5.3.2/ext/odbc/php_odbc_includes.h:104:22: error: iodbcext.h: No such file or directory
make: *** [ext/odbc/php_odbc.lo] Error 1
 [31;01m*[0m 
 [31;01m*[0m ERROR: dev-lang/php-5.3.2 failed.
 [31;01m*[0m Call stack:
 [31;01m*[0m               ebuild.sh, line   49:  Called src_compile
 [31;01m*[0m             environment, line 4570:  Called src_compile_normal
 [31;01m*[0m             environment, line 4689:  Called php5_3-sapi_src_compile
 [31;01m*[0m             environment, line 3611:  Called die